/**
 * Created by GuiXX on 2018/5/17.
 */
var iflytekTranslation = {};
/**
 * 长中文处理
 * @param chineseText 中文
 */
iflytekTranslation.toChineseList = function (chineseText) {
    var chineseArray = chineseText.split("，");
    return chineseArray;
};
/**
 * 处理翻译的英文，解决拼接顺序问题
 * @param source 中文
 * @param englishText 英文
 * @param chineseArray 中文数组
 * @param englishTextArray 英文数组
 */
iflytekTranslation.dealTranslation = function (source, englishText, chineseArray, englishTextArray) {
    for (var i = 0; i < chineseArray.length; i++) {
        if (source == chineseArray[i]) {
            englishTextArray[i] = englishText;
        }
    }
};
/**
 * 中文翻译
 * @param chineseText 中文
 * @param callBack 回调
 */
iflytekTranslation.chineseTranslation = function (chineseText, callBack) {
    chineseText = chineseText.replace("<br>", "");
    chineseText = chineseText.replace("《", "");
    chineseText = chineseText.replace("》", "");
    chineseText = chineseText.replace("“", "");
    chineseText = chineseText.replace("”", "");
    var returnData = {};
    returnData.success = false;
    //中文截取成多段否则无法翻译
    var chineseArray = iflytekTranslation.toChineseList(chineseText);
    //翻译成英文的数组
    var englishTextArray = [chineseArray.length];
    //翻译次数
    var numberTranslation = 0;
    for (var chineseIndex = 0; chineseIndex < chineseArray.length; chineseIndex++) {
        var data = {};
        var srcTxts = [chineseArray[chineseIndex]];
        data.bizId = "string";
        data.outfmt = "json";
        data.type = "cnen";
        data.srcTxts = srcTxts;
        $.ajax({
            url: 'http://61.191.24.229:5058/itrans/tuling/itrans/v2/multi',
            type: 'POST',
            dataType: 'json',
            contentType: 'application/json',
            data: JSON.stringify(data),
            success: function (responseData) {
                var englishText = "";
                numberTranslation = numberTranslation + 1;
                if (responseData.state.success) {
                    var targetList = responseData.body.targetList[0];
                    if (targetList.state.success) {
                        returnData.success = true;
                        var source = targetList.src;
                        var englishTarget = JSON.parse(targetList.target);
                        var englishList = englishTarget.result;
                        for (var i = 0; i < englishList.length; i++) {
                            englishText = englishText + englishList[i].dst;
                        }
                        iflytekTranslation.dealTranslation(source, englishText, chineseArray, englishTextArray)
                    }
                }
                if (numberTranslation == chineseArray.length) {
                    returnData.englishText = "";
                    for (var englistIndex = 0; englistIndex < englishTextArray.length; englistIndex++) {
                        if (englistIndex < englishTextArray.length - 1) {
                            returnData.englishText = returnData.englishText + englishTextArray[englistIndex] + ',';
                        } else {
                            returnData.englishText = returnData.englishText + englishTextArray[englistIndex];
                        }
                    }
                    callBack(returnData);
                }
                console.log(responseData);
            },
            error: function (responseData) {
                callBack(returnData);
                console.log(responseData);
            }
        });
    }
};


/**
 * 英文翻译
 * @param englishText 中文
 * @param callBack 回调
 */
iflytekTranslation.englishTranslation = function (englishText, callBack) {
    var returnData = {};
    returnData.success = false;
    var chineseText = "";
    var data = {};
    var srcTxts = [englishText];
    data.bizId = "string";
    data.outfmt = "json";
    data.type = "encn";
    data.srcTxts = srcTxts;
    $.ajax({
        url: 'http://61.191.24.229:5058/itrans/tuling/itrans/v2/multi',
        type: 'POST',
        dataType: 'json',
        contentType: 'application/json',
        data: JSON.stringify(data),
        success: function (responseData) {
            if (responseData.state.success) {
                var targetList = responseData.body.targetList[0];
                if (targetList.state.success) {
                    returnData.success = true;
                    var chineseTarget = JSON.parse(targetList.target);
                    var chineseList = chineseTarget.result;
                    for (var i = 0; i < englishList.length; i++) {
                        chineseText = chineseText + chineseList[i].dst;
                    }
                    returnData.chineseText = chineseText;
                }
            }
            callBack(returnData);
            console.log(responseData);
        },
        error: function (responseData) {
            callBack(returnData);
            console.log(responseData);
        }
    });
};