(function (window) {

    var Jpush = function () {
        return jpushService();
    }();

    function jpushService() {
        var jpushServiceFactory = {};

        //启动极光推送
        var _init = function () {
            window.plugins.jPushPlugin.init();
            setTimeout(function () {
                window.setTimeout(getRegistrationID, 1000);
                window.plugins.jPushPlugin.setDebugModeFromIos();
                window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
            }, 500);
            window.plugins.jPushPlugin.setDebugModeFromIos();
            window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);

            //设置tag和Alias触发事件处理
            document.addEventListener('jpush.setTagsWithAlias', _setTagsWithAlias, false);

        };

        function getRegistrationID() {
           window.plugins.jPushPlugin.getRegistrationID(onGetRegistrationID);
        }

        function onGetRegistrationID(data) {
            try {
                if (data.length == 0) {
                    window.setTimeout(getRegistrationID, 1000);
                } else {
                    console.log("get registration id," + data);
                }
            } catch (exception) {
                if (DEBUG.log) {
                    console.log("failed to get registration id, " + exception);
                }
            }
        }

        //打开推送通知
        var _openNotification = function (data) {
            console.log(data);
        };

        //获取状态
        var _isPushStopped = function (fun) {
           window.plugins.jPushPlugin.isPushStopped(fun)
        };
        //停止极光推送
        var _stopPush = function () {
           window.plugins.jPushPlugin.stopPush();
        };

        //重启极光推送
        var _resumePush = function () {
           window.plugins.jPushPlugin.resumePush();
        };

        //设置标签和别名
        var _setTagsWithAlias = function (tags, alias) {
           window.plugins.jPushPlugin.setTagsWithAlias(tags, alias);
        };

        //设置标签
        var _setTags = function (tag, func1, func2) {
            var tags = [];
            tags.push(tag);
           window.plugins.jPushPlugin.setTags({ sequence: 1, tags: tags }, func1, func2);
        };

        //设置别名
        var _setAlias = function (alias, func1, func2) {
           window.plugins.jPushPlugin.setAlias({sequence: 1, alias: alias}, func1, func2);
        };

        jpushServiceFactory.init = _init;
        jpushServiceFactory.isPushStopped = _isPushStopped;
        jpushServiceFactory.stopPush = _stopPush;
        jpushServiceFactory.resumePush = _resumePush;
        jpushServiceFactory.setTagsWithAlias = _setTagsWithAlias;
        jpushServiceFactory.setTags = _setTags;
        jpushServiceFactory.setAlias = _setAlias;
        jpushServiceFactory.openNotification = _openNotification;

        return jpushServiceFactory;
    }

    window.Jpush = Jpush;
})(window);
