!function (window) {
    "use strict";

    var skyMap = window.SMAP = window.SMAP || {};
    var doc = window.document;
    var mMapInstance;

    /**
     * 初始化地图
     */
    skyMap.initMap = function (container, center, zoom) {
        mMapInstance = new BMap.Map(container);    // 创建Map实例
        mMapInstance.centerAndZoom(center, zoom);//设初始化地图
    };

    /**
     *
     * @param event
     * @param handler
     */
    skyMap.addEventListener = function (event, handler) {
        mMapInstance.addEventListener(event, handler);
    };

    skyMap.getDistance = function (start, end) {
        return mMapInstance.getDistance(start, end);
    }

    /**
     * 添加定位控件
     */
    skyMap.addLocationControl = function (options, completed, failed, location) {
        var geolocationControl = new BMap.GeolocationControl(options);
        geolocationControl.addEventListener("locationSuccess", completed);
        geolocationControl.addEventListener("locationError", failed);
        mMapInstance.addControl(geolocationControl);
        if (location) {
            geolocationControl.location();
        }
    };
    skyMap.addCityListControl = function (options) {
        mMapInstance.addControl(new BMap.CityListControl(options));
    };

    skyMap.getCenter = function () {
        return mMapInstance.getCenter();
    };

    /**
     * 添加缩放控件
     */
    skyMap.addNavigationControl = function (options) {
        mMapInstance.addControl(new BMap.NavigationControl(options));
    };

    /**
     * 增加标注点
     * @param lng 经度
     * @param lat 纬度
     */
    skyMap.addMarker = function (lng, lat) {
        mMapInstance.addOverlay(new BMap.Marker(new BMap.Point(lng, lat)));            //增加点
    };

    /**
     *  增加信息窗口
     * @param data
     */
    skyMap.addInfoWindow = function (data) {
        var point = new BMap.Point(data.lng, data.lat);

        var marker = new BMap.Marker(point);  // 创建标注
        marker.addEventListener("click", function () {
            $sky.bindId("place").innerHTML = template("infoWidget", data);
            $sky.bindId("place").style.display = "";
        });
        mMapInstance.addOverlay(marker);              // 将标注添加到地图中
    };

    /**
     * 清除所有覆盖物
     */
    skyMap.removeAllMarker = function () {
        mMapInstance.clearOverlays();
    };

    skyMap.panTo = function (lng, lat) {
        mMapInstance.panTo(new BMap.Point(lng, lat));
    }

}(window);