// ============================================全局数据============================================
var province = [{
        "code": "13",
        "name": "河北省",
    }, {
        "code": "12",
        "name": "天津市"
    }, {
        "code": "11",
        "name": "北京市"
    }, {
        "code": "45",
        "name": "广西壮族自治区"
    }, {
        "code": "44",
        "name": "广东省"
    }, {
        "code": "43",
        "name": "湖南省"
    }, {
        "code": "42",
        "name": "湖北省"
    }, {
        "code": "41",
        "name": "河南省"
    }, {
        "code": "37",
        "name": "山东省"
    }, {
        "code": "36",
        "name": "江西省"
    }, {
        "code": "35",
        "name": "福建省"
    }, {
        "code": "34",
        "name": "安徽省"
    }, {
        "code": "33",
        "name": "浙江省"
    }, {
        "code": "32",
        "name": "江苏省"
    }, {
        "code": "31",
        "name": "上海市"
    }, {
        "code": "23",
        "name": "黑龙江省"
    }, {
        "code": "22",
        "name": "吉林省"
    }, {
        "code": "21",
        "name": "辽宁省"
    }, {
        "code": "15",
        "name": "内蒙古自治区"
    }, {
        "code": "14",
        "name": "山西省"
    }, {
        "code": "46",
        "name": "海南省"
    }, {
        "code": "50",
        "name": "重庆市"
    }, {
        "code": "51",
        "name": "四川省"
    }, {
        "code": "52",
        "name": "贵州省"
    }, {
        "code": "53",
        "name": "云南省"
    }, {
        "code": "54",
        "name": "西藏自治区"
    }, {
        "code": "61",
        "name": "陕西省"
    }, {
        "code": "62",
        "name": "甘肃省"
    }, {
        "code": "63",
        "name": "青海省"
    }, {
        "code": "64",
        "name": "宁夏回族自治区"
    }, {
        "code": "65",
        "name": "新疆维吾尔自治区"
    }, {
        "code": "71",
        "name": "台湾省"
    }, {
        "code": "81",
        "name": "香港特别行政区"
    }, {
        "code": "82",
        "name": "澳门特别行政区"
    }, {
        "code": "99",
        "name": "其他"
    },

];
var url_formSubmit = window.APP_SERVER_URL + "complaint/saveComplaint";
var URL_PROVINCE = '../../../../global/resource/province.json';
var sexData = [{
    "code": "1",
    "name": "男"
}, {
    "code": "2",
    "name": "女"
}, ]; //性别
var caseTypeCode; //案件类型对应ID
var provinceCode; //省份类型对应ID
var provinceData;
var dialog = window.SKYUI.dialog;
// ============================================1.初始化状态============================================
(function() {
    var state = $sky.Model.getUrlParam('state');
    if (state === "1") { //查看状态
        $sky.Model.getAjax('get', URL_PROVINCE, {}).then(function(result) {
            // loadDetail(result.data);
            loadDetail();
            bottomShow(1);
            isReady(true)
        });
    } else { ////编辑状态
        loadDetail();
        bottomShow(2);
        $sky.Model.getAjax('get', URL_PROVINCE, {}).then(function(result) {
            provinceData = result.data;
        });
    }
})();
// ============================================1.页面状态集============================================
function loadDetail(data) {
    var data = data || {};
    createTemplate(data);
}
// ============================================2.事件集============================================

/**
 * 提交
 */
function submit() {
    var isPass = verification();
    // var isPass = true;
    if (isPass) {
        dialog.confirm('是否提交？', function() {
            SKYUI.dialog.loading.open();
            var param = {
                phone: $sky.bindId('phoneNumber').value,
                title: $sky.bindId('mtitle').value,
                suggestContent: $sky.bindId('content').value
            };
            var promiseObj = $sky.Model.getAjax('post', url_formSubmit, param);
            optButton(promiseObj, '提交');
        });
    }
}

/**
 *一级联动案件类型
 */
function pickerOneCaseType() {
    new Picker({
        "title": '请选择', //标题(可选)
        "defaultValue": "", //默认值-多个以空格分开（可选）
        "type": 1, //需要联动级数[1、2、3]（可选）
        "data": sexData, //数据(必传)
        "keys": {
            "id": "code",
            "value": "name",
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function(val, code) {
            document.getElementById('sex').value = val;
            caseTypeCode = code;
        }
    });
}

/**
 *一级联动省份
 */
function pickerTwoProvince() {
    if ((null == provinceData) || (0 == provinceData.length)) {
        console.error("area data NOT initialized");
        return;
    }

    new Picker({
        "title": '请选择', //标题(可选)
        "defaultValue": "", //默认值-多个以空格分开（可选）
        "type": 2, //需要联动级数[1、2、3]（可选）
        "data": provinceData, //数据(必传)
        "keys": {
            "id": "Code",
            "value": "Name",
            "childData": "level"
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function(val, code) {
            document.getElementById('area').value = val;
            provinceCode = code;
        }
    });
}

/**
 * 失焦：检查手机号
 */
function checkNumber() {
    var phone = document.getElementById('phoneNumber').value;
    if (!$sky.Model.checkPhoneNumber(phone)) {
        dialog.toast('手机号码有误，请重填', 'none', 1000);
    }
}
// ============================================3.函数集============================================

/**
 * 表单：验证
 * @param isRead
 */
function verification() { //表单验证
    var eleIds = ["phoneNumber", "mtitle", "content"];
    var eleValues = ["手机号", '标题', '投诉内容'];
    if (!$sky.Util.validateForm(eleIds, eleValues)) {
        return false;
    }
    if ($sky.bindId('mtitle').value.length < 5) {
        dialog.toast('您的标题，不能少于5个字！', 'none', 1000);
        return false
    }
    if ($sky.bindId('content').value.length < 20) {
        dialog.toast('您的描述，不能少于20个字！', 'none', 1000);
        return false
    }
    var phone = document.getElementById('phoneNumber').value;
    if (!$sky.Model.checkPhoneNumber(phone)) {
        dialog.toast('手机号码有误，请重填', 'none', 1000);
        return false
    }
    return true;
}

/**
 * 创建模板
 * @param datas 模板数据
 */
function createTemplate(data) {
    var html = template('t_list', data);
    $sky.bindId("container").innerHTML = html;
}

/**
 * 底部按钮组显示与影藏
 * @param flag
 */
function bottomShow(flag) {
    if (flag === 1) {
        $sky.bindId('send_group').style.display = "none";
    } else {
        $sky.bindId('send_group').style.display = "block";
    }

}

/**
 * 删除、提交、保存成功或者失败事件处理
 * @param promiseObj
 * @param msg
 */
function optButton(promiseObj, msg) {
    promiseObj.then(function(data) {
            //var state = eval(data.success.toLowerCase()); //防止传回来的success是字符串类型
            console.log("state================" + data.success);
            if (data.success) {
                dialog.toast(msg + '成功', 'none', 1000);
                setTimeout(function() {
                    SKYUI.dialog.loading.close();
                    window.location.replace($sky.Util.urlTimestamp('../list/complaint_list.html'));
                    // var html = template('submit-succeed', data);
                    // $sky.bindId("container").innerHTML = html;
                    // $sky.bindId("send_group").style.display = 'none';
                }, 400);
            } else {
                dialog.toast(msg + '失败', 'none', 1000);
            }
        }, function() {
            dialog.toast(msg + '失败', 'none', 1000);
        })
        .then(function() {
            SKYUI.dialog.loading.close();
        });
}

function isReady(isRead) {
    $('.m-star').each(function(index, ele) {
        ele.style.visibility = "hidden";
    })
    $sky.Util.setReady(['textarea', 'input', 'select'], isRead);
    if (isRead) {
        $('input,textarea').each(function(index, elem) {
            if (elem.value === '') {
                if (typeof(elem.parentNode) != 'undefined') {
                    $(elem.parentNode).hide();
                }
            }
        })
    } else {
        $('input,textarea').each(function(index, elem) {
            $(elem.parentNode).show();
        })
    }
}