// ============================================全局数据============================================
var consultTypeData = [];
var provinceData = [];
var url_consult_type = '../../../../global/resource/consult_type.json';
var url_province = '../../../../global/resource/province_area.json';//地区2级联动json
var url_translate = 'http://www.12348.gov.cn/sfb12348/sfbMobile/aliyun/translate';
var url_personinfo = APP_SERVER_URL + 'account/user/detail';
var url_voice2Text = APP_SERVER_URL + 'iflytek/voice2Text';
var url_formSubmit = APP_SERVER_URL + 'consult/saveConsult';
var serviceTypeCode;//业务类型ID
var caseTypeCode;//案件类型对应ID
var dialog = window.SKYUI.dialog;
var $dialog;
var isAgree = true; //是否同意协议
var prot = null;
var $dialog = null;
var caseAreaCode = '';
var caseAreaName = '';
// ============================================1.初始化状态============================================
(function () {
    $('.bottom_attention').trigger('click');
    loadConsultType();
    document.addEventListener("deviceready", onDeviceReady, false);
    loadDetail();
    noEmoji();
    caseAreaCode = window.CURRENT_ACCOUNT.getUserCityCode();
    caseAreaName = window.CURRENT_ACCOUNT.getUserPROVINCE();
    if(caseAreaCode==null||caseAreaCode==''){
        $sky.Model.getAjax('get', url_personinfo, {})
            .then(function (data) {
                console.log(data);
                if(data.data.districtcode!=null&&data.data.districtcode!=''){
                    $sky.bindId('provinceType_title').value = data.data.districtcode;
                    $sky.bindId('provinceType').value = data.data.provincestr + ' ' +data.data.citystr;
                }
            });
    }else{
        $sky.bindId('provinceType').value = caseAreaName;
        $sky.bindId('provinceType_title').value = caseAreaCode;
    }
})();

// ============================================1.页面状态集============================================
function loadDetail() {
    var data = {};
    createTemplate(data);
}

// ============================================2.事件集============================================

/**
 * 提交
 */
function submit() {
    var isPass = verification();
    if (isPass) {
        dialog.confirm('是否提交？', function () {
            SKYUI.dialog.loading.open("正在提交");
            var param = {
                serviceType: serviceTypeCode,
                consultType: caseTypeCode,
                consultTitle: $sky.bindId('mtitle').value,
                consultContent: $sky.bindId('content').value,
                caseAreaCode : $sky.bindId('provinceType_title').value
            };
            console.log("参数" + JSON.stringify(param));
            var promiseObj = $sky.Model.getAjax('post', url_formSubmit, param);
            optButton(promiseObj, '提交');
        });
    }
}

//获取市(地、州、盟)的code
function provincePick(){
    $sky.Model.getAjax('get', url_province, {})
        .then(function (data) {
            console.log(data);
            provinceData = data.data;
            new Picker({
                //"canHide": false,//隐藏取消按钮
                "title": '请选择城市',//标题(可选)
                "defaultValue": $sky.bindId('provinceType').value,//默认值-多个以空格分开（可选）按照Name值匹配
                "type": 2,//需要联动级数[1、2、3]（可选）
                "data": provinceData,//数据(必传)
                "keys": {
                    "id": "Code",
                    "value": "Name",
                    "childData": "level"//最多3级联动
                },//数组内的键名称(必传，id、text、data)
                "callBack": function (val, code) {
                    //回调函数（val为选择的值）
                    $sky.bindId('provinceType').value = val;
                    $sky.bindId('provinceType_title').value = code.split(",")[1];
                }
            });
        });
}

/**
 * 阅读并接受条款
 */
function onAgreeClick() {
    if (isAgree) {
        isAgree = false;
        $sky.bindId('saveButton').disabled = true;
        $sky.bindId('saveButton').style.background = "#ddd";
        $sky.bindId('choose').style.display = "none";
        $sky.bindId('no_choose').style.display = "block";
    } else {
        isAgree = true;
        $sky.bindId('saveButton').disabled = false;
        $sky.bindId('saveButton').style.background = "#4d75bb";
        $sky.bindId('choose').style.display = "block";
        $sky.bindId('no_choose').style.display = "none";
    }
}

/**
 * 留言须知
 */
function onMessage() {
    isAgree = false;
    $sky.bindId('saveButton').disabled = true;
    $sky.bindId('saveButton').style.background = "#ddd";
    $sky.bindId('choose').style.display = "none";
    $sky.bindId('no_choose').style.display = "block";
    prot = dialog.consultPrompt(function () {

    }, function () {

    });
}

/**
 *案件类型
 */
function pickerCaseType() {
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": "",//默认值-多个以空格分开（可选）
        "type": 2,//需要联动级数[1、2、3]（可选）
        "data": consultTypeData,//数据(必传)
        "keys": {
            "id": "Code",
            "value": "Name",
            "childData": "Level"
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            $sky.bindId('caseType').value = val;
            var codes = code.split(",");
            serviceTypeCode = codes[0];
            caseTypeCode = codes[1];
        }
    });
}

/**
 * 显示语音对话框
 * @param flag = 1：主题  ，2：内容
 */
function showVoiceDialog(flag) {
    var span = $sky.bindId("switch" + flag);
    if (span.innerHTML == "中文") {
        showChineseVoice(flag);
    } else {
        showEnglishVoice(flag);
    }
}

function listening(flag) {
    xunfeiListenSpeaking.startListen(function (data) {
        if (flag == 1) {
            $sky.bindId('mtitle').value = $sky.bindId('mtitle').value + data;
        } else if (flag == 2) {
            $sky.bindId("content").value = $sky.bindId("content").value + data;
        }
    }, function (data) {
        dialog.toast(data, 'none', 1000);
    },true,true);
}
/**
 * 中文听写
 */
function showChineseVoice(flag) {
    var permissions = cordova.plugins.permissions;
    //校验app是否有安卓写入权限
    permissions.checkPermission(permissions.WRITE_EXTERNAL_STORAGE, function(s) {
        //hasPermission 验证是否成功
        if (!s.hasPermission) {
            //没有权限
            //app申请写入权限
            permissions.requestPermission(permissions.RECORD_AUDIO, function(s) {
                if (s.hasPermission) {
                    listening(flag);
                }
                else {

                }
            }, function(error) {
                dialog.toast('网络异常!', 'none', 1000);
            });
        } else {
            listening(flag);
        }
    }, function(error) {
        dialog.toast('网络异常!', 'none', 1000);
    });
}


/**
 * 英文翻译
 */
function showEnglishVoice(flag) {
    var permissions = cordova.plugins.permissions;
    //校验app是否有安卓写入权限
    permissions.checkPermission(permissions.WRITE_EXTERNAL_STORAGE, function(s) {
        //hasPermission 验证是否成功
        if (!s.hasPermission) {
            //没有权限
            //app申请写入权限
            permissions.requestPermission(permissions.RECORD_AUDIO, function(s) {
                if (s.hasPermission) {
                    listening(flag);
                }
                else {

                }
            }, function(error) {
                dialog.toast('网络异常!', 'none', 1000);
            });
        } else {
            listening(flag);
        }
    }, function(error) {
        dialog.toast('网络异常!', 'none', 1000);
    });
}

/**
 * 中英文切换
 */
function onSwitchEN(flag) {
    var span = $sky.bindId("switch" + flag);
    var hint = $sky.bindId("hint" + flag);
    if (span.innerHTML == "中文") {
        span.innerHTML = "English";
        hint.innerHTML = "点 击 \"English\" 切 换 成 中 文 输 入";
    } else {
        span.innerHTML = "中文";
        hint.innerHTML = "click \"中文\" to switch to English voice input";
    }
}

/**
 * 过滤文字的emoji表情
 */
function noEmoji() {
    $('.textAndvoice textarea').on('keyup', function () {
        var textDom = $(this)[0];
        textDom.value = textDom.value.replace(/[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF][\u200D|\uFE0F]|[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF]|[0-9|*|#]\uFE0F\u20E3|[0-9|#]\u20E3|[\u203C-\u3299]\uFE0F\u200D|[\u203C-\u3299]\uFE0F|[\u2122-\u2B55]|\u303D|[\\A9|\\AE]\u3030|\\uA9|\\uAE|\u3030/ig, "");
    })
}

// ============================================3.函数集============================================
/**
 * 英译中
 * @constructor
 */
function En2ZhTranslate(text, flag) {
    dialog.loading.open("翻译中...");
    $sky.Model.getAjax('post', url_translate, {sourceText: text})
        .then(function (data) {
            dialog.removeAll($dialog);
            if (data.data.targetText != undefined) {
                var result = data.data.targetText;
                if (flag == 1) {
                    $sky.bindId('mtitle').value = $sky.bindId('mtitle').value + result;
                } else if (flag == 2) {
                    $sky.bindId("content").value = $sky.bindId("content").value + result;
                }
            } else {
                dialog.toast("未识别，再试一次", 'none', 1000);
            }
            dialog.loading.close();
        }).catch(function (error) {
        console.error(error);
    });
}

function loadConsultType() {
    $sky.Model.getAjax('get', url_consult_type, {})
        .then(function (data) {
            consultTypeData = data.data;
        })
        .catch(function (error) {
            console.error(error);
        });
}

/**
 * 表单：验证
 * @param isRead
 */
function verification() {//表单验证
    var eleIds = ["provinceType_title","mtitle", "content"];
    var eleValues = ["省份","咨询主题", "内容"];
    if ($sky.Util.validateForm(eleIds, eleValues)) {

        if ($.trim($sky.bindId("mtitle").value).length < 5) {
            dialog.toast("咨询主题不能少于5个字", "none", 1000);
            return false;
        }
        if ($.trim($sky.bindId("content").value).length < 20) {
            dialog.toast("内容栏目，请您输入不少于20个字。", "none", 1500);
            return false;
        }
        return true;
    }
    return false;
}

/**
 * 创建模板
 * @param datas 模板数据
 */
function createTemplate(data) {
    var html = template('t_list', data);
    $sky.bindId("container").innerHTML = html;
}

/**
 * 删除、提交、保存成功或者失败事件处理
 * @param promiseObj
 * @param msg
 */
function optButton(promiseObj, msg) {
    promiseObj.then(function (data) {
        //var state = eval(data.success.toLowerCase()); //防止传回来的success是字符串类型
        console.log("state================" + data.success);
        if (data.success) {
            dialog.toast(msg + '成功', 'none', 1000);
            setTimeout(function () {
                SKYUI.dialog.loading.close();
                window.history.go(-1);
            }, 300);
        } else {
            SKYUI.dialog.loading.close();
            dialog.toast(msg + '失败', 'none', 1000);
        }
    }).then(function (error) {
        SKYUI.dialog.loading.close();
    });
}

/**
 * dom加载完的回调
 */
function onDeviceReady() {
    //监听返回键按钮事件
    document.addEventListener("backbutton", eventBackButton, false);
    initAndRequestAndroidPermission();
}

//获取权限通知
function initAndRequestAndroidPermission() {
    var permissions = cordova.plugins.permissions;
    var permissionList = [
        permissions.RECORD_AUDIO
    ];
    permissions.requestPermissions(permissionList, success, error);

    function error() {
        console.warn('ACCESS_FINE_LOCATION permission is not turned on');
    }

    function success(status) {
        if (!status.hasPermission) error();
    }
}

//返回键点击响应
function eventBackButton() {
    if (undefined != prot) {
        dialog.removeAll(prot);
        prot = null;
    } else {
        history.go(-1);
    }
}
