// ============================================全局数据============================================
var consultTypeData = [{
    "Name": "法律职业资格考试咨询",
    "Code": "sfks",
    "Level": [
        {
            "Name": "报名条件",
            "Code": "6600001"
        },
        {
            "Name": "报名形式",
            "Code": "6600002"
        },
        {
            "Name": "报名材料",
            "Code": "6600003"
        },
        {
            "Name": "证书管理",
            "Code": "6600004"
        },
        {
            "Name": "其他",
            "Code": "6600005"
        }]
}];
var url_consult_type = '../../../../global/resource/consult_type.json';
var url_province = '../../../../global/resource/province_area.json';
var provinceData = [];
var url_translate = APP_SERVER_URL + 'aliyun/translate';
var url_voice2Text = APP_SERVER_URL + 'iflytek/voice2Text';
var url_formSubmit = APP_SERVER_URL + 'exam/saveExamSFConsult';
var serviceTypeCode;//业务类型ID
var caseTypeCode;//案件类型对应ID
var dialog = window.SKYUI.dialog;
var $dialog;
var isAgree = true; //是否同意协议
var prot = null;
var cityCode;//区划编号
// ============================================1.初始化状态============================================
(function () {
    loadProvince();
    $('.bottom_attention').trigger('click');
    document.addEventListener("deviceready", onDeviceReady, false);
    loadDetail();
    noEmoji();

    if (CURRENT_ACCOUNT.getUserExam() == "1") {
        $sky.bindId("caseRegion").disabled = true;
    }
    console.log(CURRENT_ACCOUNT.getUserPROVINCE());
    if(CURRENT_ACCOUNT.getUserPROVINCE()!="null null"){
        $sky.bindId("caseRegion").value = CURRENT_ACCOUNT.getUserPROVINCE();
    }
})();

// ============================================1.页面状态集============================================
function loadDetail() {
    var data = {};
    createTemplate(data);
}

// ============================================2.事件集============================================

/**
 * 提交
 */
function submit() {
    var isPass = verification();
    if (isPass) {
        dialog.confirm('是否提交？', function () {
            SKYUI.dialog.loading.open("正在提交");
            var param = {
                serviceType: serviceTypeCode,
                consultType: caseTypeCode,
                consultTitle: $sky.bindId('mtitle').value,
                consultContent: $sky.bindId('content').value,
                districtCode: cityCode == undefined ? CURRENT_ACCOUNT.getUserCityCode() : cityCode
            };
            console.log("参数" + JSON.stringify(param));
            var promiseObj = $sky.Model.getAjax('post', url_formSubmit, param);
            optButton(promiseObj, '提交');
        });
    }
}

/**
 * 阅读并接受条款
 */
function onAgreeClick() {
    if (isAgree) {
        isAgree = false;
        $sky.bindId('saveButton').disabled = true;
        $sky.bindId('saveButton').style.background = "#ddd";
        $sky.bindId('choose').style.display = "none";
        $sky.bindId('no_choose').style.display = "block";
    } else {
        isAgree = true;
        $sky.bindId('saveButton').disabled = false;
        $sky.bindId('saveButton').style.background = "#4d75bb";
        $sky.bindId('choose').style.display = "block";
        $sky.bindId('no_choose').style.display = "none";
    }
}

/**
 * 留言须知
 */
function onMessage() {
    isAgree = false;
    $sky.bindId('saveButton').disabled = true;
    $sky.bindId('saveButton').style.background = "#ddd";
    $sky.bindId('choose').style.display = "none";
    $sky.bindId('no_choose').style.display = "block";
    prot = dialog.consultExamPrompt(function () {

    }, function () {

    });
}

/**
 *案件类型
 */
function pickerCaseType() {
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": "",//默认值-多个以空格分开（可选）
        "type": 2,//需要联动级数[1、2、3]（可选）
        "data": consultTypeData,//数据(必传)
        "keys": {
            "id": "Code",
            "value": "Name",
            "childData": "Level"
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            $sky.bindId('caseType').value = val;
            var codes = code.split(",");
            serviceTypeCode = codes[0];
            caseTypeCode = codes[1];
        }
    });
}

/**
 * 区划类型
 */
function pickerCaseRegion() {
    var nowValue = $sky.bindId('caseRegion');

    new Picker({
        "title": '请选择', //标题(可选)
        "defaultValue": nowValue.value, //默认值-多个以空格分开（可选）
        "type": 2, //需要联动级数[1、2、3]（可选）
        "data": provinceData, //数据(必传)
        "keys": {
            "id": "Code",
            "value": "Name",
            "childData": "level" //最多3级联动
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            $sky.bindId('caseRegion').value = val;
            if (val.substring(val.length - 2, val.length) == "全部") {
                nowValue.value = val.substring(0, val.length - 3);
            } else {
                nowValue.value = val;
            }
            var codes = code.split(",");
            if (typeof (codes[1]) != 'undefined' && codes[1] != '') {
                cityCode = codes[1];
            } else {
                cityCode = codes[0];
            }
        }
    });
}

/**
 * 显示语音对话框
 * @param flag = 1：主题  ，2：内容
 */
function showVoiceDialog(flag) {
    var span = $sky.bindId("switch" + flag);
    if (span.innerHTML == "中文") {
        showChineseVoice(flag);
    } else {
        showEnglishVoice(flag);
    }
}

/**
 * 中文听写
 */
function showChineseVoice(flag) {
    if (device.platform == "Android") {
        //语音弹出框
        var $dialog = dialog.simpleVocieConfirm('倾听中', function () {
        }, function () {
            dialog.countSecond();
        });

        cordova.plugins.AliAndroidSpeechListen.startListen("nls-service", function (data) {
            if (flag == 1) {
                $sky.bindId('mtitle').value = $sky.bindId('mtitle').value + data;
            } else if (flag == 2) {
                $sky.bindId("content").value = $sky.bindId("content").value + data;
            }
            dialog.removeAll($dialog);
        }, function (data) {
            dialog.removeAll($dialog);
            dialog.toast(data, 'none', '1000');
        });
    } else if (device.platform == "iOS") {
        dialog.loading.open("倾听中...");
        SSJFVoicePlugin.setVoiceLanguage(function () {
        }, function () {
        }, [{"languageType": "0"}]);
        SSJFVoicePlugin.startVoiceRecognizer(function (data) {
            if (flag == 1) {
                $sky.bindId('mtitle').value = $sky.bindId('mtitle').value + data;
            } else if (flag == 2) {
                $sky.bindId("content").value = $sky.bindId("content").value + data;
            }
            dialog.loading.close();
        }, function (data) {

        }, []);
    }
}

/**
 * 英文翻译
 */
function showEnglishVoice(flag) {
    if (device.platform == "Android") {
        //语音弹出框
        var $dialog = dialog.simpleVocieConfirm('倾听中', null, function () {
            dialog.countSecond();
        });

        cordova.plugins.AliAndroidSpeechListen.startListen("nls-service-en-streaming", function (data) {
            En2ZhTranslate(data, flag);
            dialog.removeAll($dialog);
        }, function (data) {
            dialog.removeAll($dialog);
            dialog.toast(data, 'none', '1000');
        });
    } else if (device.platform == "iOS") {
        dialog.loading.open("倾听中...");
        SSJFVoicePlugin.setVoiceLanguage(function () {

        }, function () {

        }, [{"languageType": "1"}]);
        SSJFVoicePlugin.startVoiceRecognizer(function (data) {
            En2ZhTranslate(data, flag);
        }, function (data) {

        }, []);
    }

}

/**
 * 中英文切换
 */
function onSwitchEN(flag) {
    var span = $sky.bindId("switch" + flag);
    var hint = $sky.bindId("hint" + flag);
    if (span.innerHTML == "中文") {
        span.innerHTML = "English";
        hint.innerHTML = "点 击 \"English\" 切 换 成 中 文 输 入";
    } else {
        span.innerHTML = "中文";
        hint.innerHTML = "click \"中文\" to switch to English voice input";
    }
}

/**
 * 过滤文字的emoji表情
 */
function noEmoji() {
    $('.textAndvoice textarea').on('keyup', function () {
        var textDom = $(this)[0];
        textDom.value = textDom.value.replace(/[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF][\u200D|\uFE0F]|[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF]|[0-9|*|#]\uFE0F\u20E3|[0-9|#]\u20E3|[\u203C-\u3299]\uFE0F\u200D|[\u203C-\u3299]\uFE0F|[\u2122-\u2B55]|\u303D|[\\A9|\\AE]\u3030|\\uA9|\\uAE|\u3030/ig, "");
    })
}

// ============================================3.函数集============================================
/**
 * 英译中
 * @constructor
 */
function En2ZhTranslate(text, flag) {
    $sky.Model.getAjax('post', url_translate, {sourceText: text})
        .then(function (data) {
            dialog.loading.close();
            console.log(data);
            if (data.data.targetText != undefined) {
                var result = data.data.targetText;
                if (flag == 1) {
                    $sky.bindId('mtitle').value = $sky.bindId('mtitle').value + result;
                } else if (flag == 2) {
                    $sky.bindId("content").value = $sky.bindId("content").value + result;
                }
            } else {
                dialog.toast("未识别，再试一次", 'none', 1000);
            }
        }).catch(function (error) {
        console.error(error);
    });
}

/**
 * 表单：验证
 * @param isRead
 */
function verification() {//表单验证
    var eleIds = ["caseType", "caseRegion", "mtitle", "content"];
    var eleValues = ["案件类型", "报名地区", "咨询主题", "内容"];
    if ($sky.Util.validateForm(eleIds, eleValues)) {
        if ($.trim($sky.bindId("mtitle").value).length < 5) {
            dialog.toast("咨询主题不能少于5个字", "none", 1000);
            return false;
        }
        if ($.trim($sky.bindId("content").value).length < 20) {
            dialog.toast("内容栏目，请您输入不少于20个字。", "none", 1500);
            return false;
        }
        let code = cityCode == undefined ? CURRENT_ACCOUNT.getUserCityCode() : cityCode;
        if(code.length < 4){
            dialog.toast("报名地区必须选择到市/区一级。", "none", 1500);
            return false;
        }
        return true;
    }
    return false;
}

/**
 * 创建模板
 * @param datas 模板数据
 */
function createTemplate(data) {
    var html = template('t_list', data);
    $sky.bindId("container").innerHTML = html;
}

/**
 * 删除、提交、保存成功或者失败事件处理
 * @param promiseObj
 * @param msg
 */
function optButton(promiseObj, msg) {
    promiseObj.then(function (data) {
        //var state = eval(data.success.toLowerCase()); //防止传回来的success是字符串类型
        console.log("state================" + data.success);
        if (data.success) {
            dialog.toast(msg + '成功', 'none', 1000);
            setTimeout(function () {
                SKYUI.dialog.loading.close();
                window.history.go(-1);
            }, 300);
        } else {
            SKYUI.dialog.loading.close();
            dialog.toast(msg + '失败', 'none', 1000);
        }
    }).then(function (error) {
        SKYUI.dialog.loading.close();
    });
}

/**
 * dom加载完的回调
 */
function onDeviceReady() {
    //监听返回键按钮事件
    document.addEventListener("backbutton", eventBackButton, false);
    initAndRequestAndroidPermission();
}

//获取权限通知
function initAndRequestAndroidPermission() {
    var permissions = cordova.plugins.permissions;
    var permissionList = [
        permissions.RECORD_AUDIO
    ];
    permissions.requestPermissions(permissionList, success, error);

    function error() {
        console.warn('ACCESS_FINE_LOCATION permission is not turned on');
    }

    function success(status) {
        if (!status.hasPermission) error();
    }
}

//返回键点击响应
function eventBackButton() {
    if (undefined != prot) {
        dialog.removeAll(prot);
        prot = null;
    } else {
        history.go(-1);
    }
}

/**
 * 请求区划信息
 */
function loadProvince() {
    $sky.Model.getAjax('get', url_province, {})
        .then(function (data) {
            provinceData = data.data;
            //特殊处理海南数据
            provinceData
        })
        .catch(function (error) {
            console.error(error);
        });
}