// ============================================全局数据============================================
var url_detail = APP_SERVER_URL + 'entrust/entrustDetail?';
var url_submit = APP_SERVER_URL + 'entrust/commentEntrust?';
var dialog = window.SKYUI.dialog;
var entrustDetail = {};//详情内容
var stars = [];
var eConfirm;
// ============================================1.初始化状态============================================
$(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
    loadDetail($sky.Model.getUrlParam('pkid'));
});

function loadDetail(id) {
    var params = {pkid: id};
    $sky.Model.getAjax('get', url_detail, params)
        .then(function (data) {
            console.log(data.data);
            entrustDetail = data.data;
            var content = template('content', data);
            $('.content').append(content);

            var bottom = template('bottom', data);
            $('.bottom').append(bottom);

            //根据状态显示对应底部按钮

            //初始化（星级）评价控件
            $('#rating').rating('.rating-star', {
                num: data.data.lawyerstars,
                readOnly: true,
                mode: 'one'
            })
        });
}

// ============================================2.事件集============================================
/**
 * 委托评价弹出框
 */
function entrust() {
    eConfirm = dialog.evaluateConfirm('委托评价', '你确定吗！',
        function () {
            starsOpera();
        },
        function () {
            submitEvaluate();
        });
}

/**
 * 提交委托评价
 */
function submitEvaluate() {
    SKYUI.dialog.loading.open();
    var param = {
        entrustid: entrustDetail.pkid,
        attitude: stars[0],
        profession: stars[1],
        efficiency: stars[2],
        satisfaction: stars[3],
        content: $sky.bindId('dpms').value
    };
    console.log(param);
    var promiseObj = $sky.Model.getAjax('post', url_submit, param);
    optButton(promiseObj, '评价');
}

/**
 * dom加载完的回调
 */
function onDeviceReady() {
    //监听返回键按钮事件
    document.addEventListener("backbutton", eventBackButton, false);
}

//返回键点击响应
function eventBackButton() {
    if (undefined != eConfirm) {
        dialog.removeAll(eConfirm);
        eConfirm = null;
    } else {
        history.go(-1);
    }
}

// ============================================3.函数集============================================
/**
 * 点评星级操作
 */
function starsOpera() {
    stars[4] = [0, 0, 0, 0];
    $('#rating1').rating('.rating-item', {
        num: 0,
        readOnly: false,
        mode: 'one',
        mouseover: function (num, length) {

        },
        mouseclick: function (num, length) {
            console.log("num:" + num);
            console.log("length:" + length);
            stars[0] = num;
        }
    });

    $('#rating2').rating('.rating-item', {
        num: 0,
        readOnly: false,
        mode: 'one',
        mouseover: function (num, length) {

        },
        mouseclick: function (num, length) {
            console.log("num:" + num);
            console.log("length:" + length);
            stars[1] = num;
        }
    });

    $('#rating3').rating('.rating-item', {
        num: 0,
        readOnly: false,
        mode: 'one',
        mouseover: function (num, length) {

        },
        mouseclick: function (num, length) {
            console.log("num:" + num);
            console.log("length:" + length);
            stars[2] = num;
        }
    });

    $('#rating4').rating('.rating-item', {
        num: 0,
        readOnly: false,
        mode: 'one',
        mouseover: function (num, length) {

        },
        mouseclick: function (num, length) {
            console.log("num:" + num);
            console.log("length:" + length);
            stars[3] = num;
        }
    });
}

/**
 * 删除、提交、保存成功或者失败事件处理
 * @param promiseObj
 * @param msg
 */
function optButton(promiseObj, msg) {
    promiseObj.then(function (data) {
        //var state = eval(data.success.toLowerCase()); //防止传回来的success是字符串类型
        console.log("state================" + data.success);
        if (data.success) {
            dialog.toast(msg + '成功', 'none', 1000);
            setTimeout(function () {
                SKYUI.dialog.loading.close()
                history.go(-1);
            }, 300);
        } else {
            SKYUI.dialog.loading.close();
            dialog.toast(msg + '失败', 'none', 1000);
        }
    })
        .then(function (error) {
            SKYUI.dialog.loading.close();
        });
}

