// ============================================全局数据============================================
//表单数据保存
var url_formSubmit = APP_SERVER_URL + 'entrust/saveEntrust';
var lawyerId = $sky.Model.getUrlParam('lawyerId');
var isAgree = true; //是否同意协议
var dialog = window.SKYUI.dialog;
// ============================================1.初始化状态============================================
(function () {
    $('.content').append(template('form', {}));
})();

// ============================================2.事件集============================================
/**
 *保存
 */
function save() { //提交按钮
    var isPass = verification();
    if (isPass) {
        dialog.confirm('是否提交？', function () {
            SKYUI.dialog.loading.open('正在提交...');
            var param = {
                createPeople: $sky.bindId('wtr').value,
                mobile: $sky.bindId('lxdh').value,
                email: $sky.bindId('dzyj').value,
                lawyerId: lawyerId,
                title: $sky.bindId('bt').value,
                content: $sky.bindId('wtnr').value
            };
            var promiseObj = $sky.Model.getAjax('post', url_formSubmit, param);
            optButton(promiseObj, '提交');
        });
    }
}
/**
 * 阅读并接受条款
 */
function onAgreeClick() {
    if (isAgree) {
        isAgree = false;
        $sky.bindId('saveButton').disabled = true;
        $sky.bindId('saveButton').style.background = "#ddd";
        $sky.bindId('choose').style.display = "none";
        $sky.bindId('no_choose').style.display = "block";
    } else {
        isAgree = true;
        $sky.bindId('saveButton').disabled = false;
        $sky.bindId('saveButton').style.background = "#4d75bb";
        $sky.bindId('choose').style.display = "block";
        $sky.bindId('no_choose').style.display = "none";
    }

}

// ============================================3.函数集============================================
/**
 * 表单：读写控制
 * @param isRead
 */
function isReady(isRead) {
    setReady(['textarea', 'input', 'select'], isRead);
    if (!isRead) {
        getFirstInput();
    }
}

/**
 * 创建模板
 * @param datas
 */
function createTemplate(datas) {
    var html = template('t_list', datas);
    $sky.bindId("container").innerHTML = html;
    SKYUI.dialog.loading.close();
}

/**
 * 回退到上一个页面
 */
function goBack() {
    history.go(-1);
}

/**
 * 表单：验证
 * @param isRead
 */
function verification() {//表单验证
    var eleIds = ["wtr", "lxdh", "dzyj", "bt", "wtnr"];
    var eleValues = ["委托人", "联系电话", "电子邮件", "标题", "委托内容"];
    return $sky.Util.validateForm(eleIds, eleValues);
}
/**
 * 手机号验证
 * @param phone
 * @returns {boolean}
 */
function verifyPhoneNumber(phone) {
    if (/^1\d{10}$/.test(phone)) {
        return true;
    } else {
        dialog.toast("手机号码有误，请重填", 'none', 1000);
        return false;

    }
}
/**
 * 邮箱验证
 */
function verifyMail(mail) {
    var reg = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((\.[a-zA-Z0-9_-]{2,3}){1,2})$/;
    if (!reg.test(mail)) {
        dialog.toast("邮箱输入有误，请重填", 'none', 1000);
    }
    ;
}

/**
 * 删除、提交、保存成功或者失败事件处理
 * @param promiseObj
 * @param msg
 */
function optButton(promiseObj, msg) {
    promiseObj.then(function (data) {
        //var state = eval(data.success.toLowerCase()); //防止传回来的success是字符串类型
        console.log("state================" + data.success);
        if (data.success) {
            dialog.toast(msg + '成功', 'none', 1000);
            setTimeout(function () {
                SKYUI.dialog.loading.close();
                goBack();
            }, 300);
        } else {
            SKYUI.dialog.loading.close();
            dialog.toast(msg + '失败', 'none', 1000);
        }
    })
        .then(function (error) {
            SKYUI.dialog.loading.close();
        });
}

// ============================================动态============================================
function getFirstInput() { //获取第一个输入框的元素
    return $sky.bindId('xfdz');
}

