// ============================================全局数据============================================
var consult_list_url = APP_SERVER_URL + "exam/verify/verifyList";
var url_consult_type = '../../../global/resource/consult_type.json';
var consultTypeData = [];
var servicetype = "";
var dialog = window.SKYUI.dialog;
var keywords = ""; //查询的关键字
var KEY_SIGN = "sign";
var KEY_USER = "USER_DATA";
var refresh_flag = false;

var typeData = [
    {
        "Code": "0",
        "Name": "全部"
    },
    {
        "Name": "报名条件",
        "Code": "6600001"
    },
    {
        "Name": "报名形式",
        "Code": "6600002"
    },
    {
        "Name": "报名材料",
        "Code": "6600003"
    },
    {
        "Name": "证书管理",
        "Code": "6600004"
    },
    {
        "Name": "其他",
        "Code": "6600005"
    }
];
// ============================================1.初始化状态========================================

$(function () {
    loadConsultType();
    servicetype = "0";
    $sky.bindId('fwlx').innerHTML = '全部';
    userInfo();
    loadList();
});

// ============================================2.事件集============================================

/**
 * 咨询列表
 */
function loadList() {
    if (refresh_flag) {
        dialog.toast('手速过快', 'none', '1000');
    } else {
        console.log('又一次进入');
        refresh_flag = true;
        $(".item").empty();
        var page = 0;// 页数
        var size = 10;// 每页展示20个
        var errorTimes = 0;
        var hasData = false;
        $('.g-scrollview').dropload({
            loadDownFn: function (me) {
                page++;
                // 拼接HTML
                var result = '';
                // var param = {
                //     keyword: keywords,
                //     servicetype: servicetype,
                //     consulttype: "0",
                //     commented: "0",
                //     handletype:"0",
                //     pageNum: page,
                //     pageSize: size
                // };
                var param = {
                    keyword: keywords,
                    servicetype: 'sfks',
                    consulttype: servicetype,
                    commented: "0",
                    handletype: "0",
                    isVerified: "0",
                    pageNum: page,
                    pageSize: size,
                    skytimeStamp: Date.parse(new Date())
                };
                $sky.Model.getAjax('get', consult_list_url, param)
                    .then(function (data) {
                        var arrLen = data.list.length;
                        refresh_flag = false;
                        if (arrLen > 0) {
                            hasData = true;
                            template.defaults.imports.middle_content_up = function (content) {
                                if (content.length < 45) {
                                    return content
                                } else {
                                    return content.substr(0, 44) + "..."
                                }
                            };
                            result = template('item', data);
                        } else {
                            me.lock();
                            me.noData();
                            if (!hasData) {
                                $(".item").empty();
                                $(".dropload-down").hide();
                                result = template('empty', {});
                                $('.item').append(result);
                                return
                            }
                        }
                        setTimeout(function () {
                            $('.item').append(result);
                            me.resetload();
                        }, 10);
                    })
                    .catch(function (error) {
                        console.log('error' + error);
                        refresh_flag = false;
                        if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                            errorTimes++;
                            me.resetload();
                        }
                    });
            }
        });
    }
}

/**
 * 跳转详情
 */
function jump(pkid) {
    // window.parent.location.href = $sky.Util.urlTimestamp('../../business/consult/detail/consult_detail.html?pkid=' + pkid);
    window.parent.location.href = $sky.Util.urlTimestamp('../../business/exam/audit/exam_audit.html?pkid=' + pkid);
}

/**
 * 刷新
 */
function onRefresh() {
    loadList();
}

/**
 * 服务类型一级联动
 */
function typePicker() {
    var nowValue = $sky.bindId('fwlx');
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": nowValue.innerHTML,//默认值-多个以空格分开（可选）
        "type": 1,//需要联动级数[1、2、3]（可选）
        "data": typeData,//数据(必传)
        "keys": {
            "id": "Code",
            "value": "Name"
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            nowValue.innerHTML = val;
            servicetype = code.split(',')[0];
            loadList();
        }
    });
}

/**
 * 根据关键字搜索
 */
function searchKeyWord() {
    keywords = $sky.bindId("institutionName").value;
    loadList();
}

// ============================================3.函数集============================================
/**
 * 设置用户信息
 */
function userInfo() {
    $sky.bindId('name').innerHTML = CURRENT_ACCOUNT.getUserName();
    $sky.bindId('number').innerHTML = CURRENT_ACCOUNT.getUserCode();
}

/**
 * 显示更多事件
 * @param obj
 */
function showDetail(index) {
    $sky.bindId('middle_content_up' + index).style.display = "none";
    $sky.bindId('middle_content_down' + index).style.display = "block";
    event.stopPropagation();
}

/**
 * 隐藏更多事件
 * @param obj
 */
function hideDetail(index) {
    $sky.bindId('middle_content_up' + index).style.display = "block";
    $sky.bindId('middle_content_down' + index).style.display = "none";
    event.stopPropagation();
}

function loadConsultType() {
    $sky.Model.getAjax('get', url_consult_type, {})
        .then(function (data) {
            var consultData = [];
            var all = {
                "Name": "全部",
                "Code": "0",
                "Level": []
            };
            consultData.push(all);
            for (var i = 0; i < data.data.length; i++) {
                consultData.push(data.data[i]);
            }
            consultTypeData = consultData;
        })
        .catch(function (error) {
            console.error(error);
        });
}
