// ============================================全局数据============================================
var sign_url = APP_SERVER_URL + "inhouse/sign";
var sign_status_url = APP_SERVER_URL + "inhouse/signStatus";
var consult_list_url = APP_SERVER_URL + "/exam/service/consults";
var url_consult_type = '../../../global/resource/consult_type.json';
var consultTypeData = [];
var servicetype = "";
var keywords = ""; //查询的关键字
var dialog = window.SKYUI.dialog;
var KEY_SIGN = "sign";
var KEY_USER = "USER_DATA";
var refresh_flag = false;

var typeData = [
    {
        "code": "0",
        "name": "全部"
    },
    {
        "name": "报名条件",
        "code": "6600001"
    },
    {
        "name": "报名形式",
        "code": "6600002"
    },
    {
        "name": "报名材料",
        "code": "6600003"
    },
    {
        "name": "证书管理",
        "code": "6600004"
    },
    {
        "name": "其他",
        "code": "6600005"
    }


];

// ============================================1.初始化状态========================================

$(function () {
    loadConsultType();
    servicetype = "0";
    $sky.bindId('fwlx').innerHTML = '全部';
    userInfo();
    updateSignState($sky.Model.handSessionStorage.get(KEY_SIGN));
    // getSignStatus();
    loadList();
});

// ============================================2.事件集============================================
function updateSignState(sign) {
    $sky.Model.handSessionStorage.set(KEY_SIGN, sign);
    if (sign == null || typeof(sign) == "undefined") {
        $sky.bindId('SIGN_DIALOG').style.visibility = "visible";
    } else if (sign && sign == "1") {
        $sky.bindId('sign').style.display = "none";
        $sky.bindId('signOut').style.display = "";
        $sky.bindId('SIGN_DIALOG').style.visibility = "hidden";
    } else {
        $sky.bindId('sign').style.display = "";
        $sky.bindId('signOut').style.display = "none";
        $sky.bindId('SIGN_DIALOG').style.visibility = "hidden";
    }
}

/**
 * 签到
 */
function onSign() {
    dialog.loading.open("正在签到...");
    $sky.Model.getAjax('post', sign_url, {status: 1})
        .then(function (data) {
            if (data.success) {
                dialog.toast('已上线', 'none', 2000);
                updateSignState("1");
                dialog.loading.close();
                $sky.bindId('SIGN_DIALOG').style.visibility = "hidden";
            } else {
                console.error(data);
            }
        })
        .catch(function (error) {
            console.error(error);
            dialog.toast('签到失败，请重试', 'none', 2000);
        });
}

/**
 * 签退
 */
function onSignOut() {
    dialog.loading.open("正在签退...");
    $sky.Model.getAjax('post', sign_url, {status: 0})
        .then(function (data) {
            if (data.success) {
                dialog.toast('已下线', 'none', 2000);
                updateSignState("0");
                dialog.loading.close();
                $sky.bindId('SIGN_DIALOG').style.visibility = "hidden";
            } else {
                console.error(data);
            }
        })
        .catch(function (error) {
            console.error(error);
            dialog.toast('签退失败，请重试', 'none', 2000);
        });
}

/**
 * 咨询列表
 */
function loadList() {
    if (refresh_flag) {
        dialog.toast('手速过快', 'none', '1000');
    } else {
        console.log('又一次进入');
        refresh_flag = true;
        $(".item").empty();
        var page = 0;// 页数
        var size = 10;// 每页展示10个
        var errorTimes = 0;
        var hasData = false;
        $('.g-scrollview').dropload({
            loadDownFn: function (me) {
                page++;
                // 拼接HTML
                var result = '';
                var param = {
                    keyword: keywords,
                    servicetype: 'sfks',
                    consulttype: servicetype,
                    replied: "0",
                    caseAreaCode: "",
                    pageNum: page,
                    pageSize: size,
                    skytimeStamp: Date.parse(new Date())
                };
                $sky.Model.getAjax('get', consult_list_url, param)
                    .then(function (data) {
                        var arrLen = data.list.length;
                        refresh_flag = false;
                        if (arrLen > 0) {
                            hasData = true;
                            template.defaults.imports.calRemainingTime = function (time) {
                                time = time || "";
                                return calRemainingTime(new Date(Date.parse(time.replace(/-/g, "/") + ":00")), new Date());
                            };
                            template.defaults.imports.middle_content_up = function (content) {
                                if (content.length < 45) {
                                    return content
                                } else {
                                    return content.substr(0, 44) + "..."
                                }
                            };
                            result = template('item', data);
                        } else {
                            me.lock();
                            me.noData();
                            if (!hasData) {
                                $(".item").empty();
                                $(".dropload-down").hide();
                                result = template('empty', {});
                                $('.item').append(result);
                                return
                            }
                        }
                        setTimeout(function () {
                            $('.item').append(result);
                            me.resetload();
                        }, 1);
                    })
                    .catch(function (error) {
                        console.log('error' + error);
                        refresh_flag = false;
                        if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                            errorTimes++;
                            me.resetload();
                        }
                    });
            }
        });
    }
}

/**
 * 跳转详情
 */
function jump(pkid) {
    window.parent.location.href = $sky.Util.urlTimestamp('../../business/exam/reply/exam_reply.html?pkid=' + pkid);
}

/**
 * 刷新
 */
function onRefresh() {
    loadList();
}

/**
 * 服务类型一级联动
 */
function typePicker() {
    var nowValue = $sky.bindId('fwlx');
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": nowValue.innerHTML,//默认值-多个以空格分开（可选）
        "type": 1,//需要联动级数[1、2、3]（可选）
        "data": typeData,//数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            nowValue.innerHTML = val;
            servicetype = code.split(',')[0];
            loadList();
        }
    });
}


/**
 * 显示更多事件
 * @param obj
 */
function showDetail(index) {
    $sky.bindId('middle_content_up' + index).style.display = "none";
    $sky.bindId('middle_content_down' + index).style.display = "block";
    event.stopPropagation();
}

/**
 * 隐藏更多事件
 * @param obj
 */
function hideDetail(index) {
    $sky.bindId('middle_content_up' + index).style.display = "block";
    $sky.bindId('middle_content_down' + index).style.display = "none";
    event.stopPropagation();
}

/**
 * 根据关键字搜索
 */
// function searchKeyWord() {
//     keywords = $sky.bindId("institutionName").value;
//     loadList();
// }

// ============================================3.函数集============================================
/**
 * 设置用户信息
 */
function userInfo() {
    $sky.bindId('name').innerHTML = CURRENT_ACCOUNT.getUserName();
    $sky.bindId('number').innerHTML = CURRENT_ACCOUNT.getUserCode();
}

/**
 * 获取当前签到状态
 */
function getSignStatus() {
    $sky.Model.getAjax('get', sign_status_url)
        .then(function (data) {
            if (data.success) {
                updateSignState(data.data.status);
            } else {
                console.error(data);
            }
        })
        .catch(function (error) {
            console.error(error);
        });
}

function loadConsultType() {
    $sky.Model.getAjax('get', url_consult_type, {})
        .then(function (data) {
            var consultData = [];
            var all = {
                "Name": "全部",
                "Code": "0",
                "Level": []
            };
            consultData.push(all);
            for (var i = 0; i < data.data.length; i++) {
                consultData.push(data.data[i]);
            }
            consultTypeData = consultData;
        })
        .catch(function (error) {
            console.error(error);
        });
}

/**
 * 显示更多事件
 * @param obj
 */
function showDetail(index) {
    $sky.bindId('middle_content_up' + index).style.display = "none";
    $sky.bindId('middle_content_down' + index).style.display = "block";
    event.stopPropagation();
}

/**
 * 隐藏更多事件
 * @param obj
 */
function hideDetail(index) {
    $sky.bindId('middle_content_up' + index).style.display = "block";
    $sky.bindId('middle_content_down' + index).style.display = "none";
    event.stopPropagation();
}

function calRemainingTime(sTime, eTime) {
    var interval = sTime.getTime() - eTime.getTime();  //时间差的毫秒数
    if (interval < 10000) {
        return "已超时";
    }
    var res = "";

//计算出相差天数
    var days = Math.floor(interval / (24 * 3600 * 1000));

//计算出小时数
    var leave1 = interval % (24 * 3600 * 1000);  //计算天数后剩余的毫秒数
    var hours = Math.floor(leave1 / (3600 * 1000));
//计算相差分钟数
    var leave2 = leave1 % (3600 * 1000);  //计算小时数后剩余的毫秒数
    var minutes = Math.floor(leave2 / (60 * 1000));

    if (days > 0) {
        res = days + "天";
    }
    if (hours > 0) {
        res += hours + "小时";
    }
    if (minutes > 0) {
        res += minutes + "分";
    }
    return "剩余" + res;
}

/**
 * 根据关键字搜索
 */
function searchKeyWord() {
    // clearCache();
    //
    keywords = $sky.bindId("institutionName").value;
    loadList();
}

/**
 * 暂不签到
 */
function refuseSign() {
    updateSignState("0");
    $sky.bindId('SIGN_DIALOG').style.visibility = "hidden";
}

/**
 * 签到
 */
function acceptSign() {
    onSign();
}

//
// // ============================================全局数据============================================
// var sign_url = APP_SERVER_URL + "inhouse/sign";
// var sign_status_url = APP_SERVER_URL + "inhouse/signStatus";
// var consult_list_url = APP_SERVER_URL + "consult/lawyer/consults";
// var url_consult_type = '../../../global/resource/consult_type.json';
// var consultTypeData = [];
// var servicetype = "";
// var dialog = window.SKYUI.dialog;
// var keywords = ""; //查询的关键字
// var KEY_SIGN = "sign";
// var KEY_USER = "USER_DATA";
// var refresh_flag = false;
//
// var hrefFlag = "";
// var hasCache = false;
// var cacheListData = {};
// var oneQuestTag = true;
// cacheListData.list = [];
//
// // ============================================1.初始化状态========================================
//
// $(function () {
//     loadConsultType();
//     servicetype = "0";
//     $sky.bindId('fwlx').innerHTML = '全部';
//     userInfo();
//     updateSignState($sky.Model.handSessionStorage.get(KEY_SIGN));
//     // getSignStatus();
//     loadList();
// });
//
// // ============================================2.事件集============================================
// function updateSignState(sign) {
//     $sky.Model.handSessionStorage.set(KEY_SIGN, sign);
//     if (sign == null || typeof(sign) == "undefined") {
//         $sky.bindId('SIGN_DIALOG').style.visibility = "visible";
//     } else if (sign && sign == "1") {
//         $sky.bindId('sign').style.display = "none";
//         $sky.bindId('signOut').style.display = "";
//         $sky.bindId('SIGN_DIALOG').style.visibility = "hidden";
//     } else {
//         $sky.bindId('sign').style.display = "";
//         $sky.bindId('signOut').style.display = "none";
//         $sky.bindId('SIGN_DIALOG').style.visibility = "hidden";
//     }
// }
//
// /**
//  * 签到
//  */
// function onSign() {
//     dialog.loading.open("正在签到...");
//     $sky.Model.getAjax('post', sign_url, {status: 1})
//         .then(function (data) {
//             if (data.success) {
//                 dialog.toast('已上线', 'none', 2000);
//                 updateSignState("1");
//                 dialog.loading.close();
//                 $sky.bindId('SIGN_DIALOG').style.visibility = "hidden";
//             } else {
//                 console.error(data);
//             }
//         })
//         .catch(function (error) {
//             console.error(error);
//             dialog.toast('签到失败，请重试', 'none', 2000);
//         });
// }
//
// /**
//  * 签退
//  */
// function onSignOut() {
//     dialog.loading.open("正在签退...");
//     $sky.Model.getAjax('post', sign_url, {status: 0})
//         .then(function (data) {
//             if (data.success) {
//                 dialog.toast('已下线', 'none', 2000);
//                 updateSignState("0");
//                 dialog.loading.close();
//                 $sky.bindId('SIGN_DIALOG').style.visibility = "hidden";
//             } else {
//                 console.error(data);
//             }
//         })
//         .catch(function (error) {
//             console.error(error);
//             dialog.toast('签退失败，请重试', 'none', 2000);
//         });
// }
//
//
// /**
//  * 咨询列表
//  */
// function loadList() {
//     var prePage = 0;
//     if (refresh_flag) {
//         dialog.toast('手速过快', 'none', '1000');
//     } else {
//         refresh_flag = true;
//         $(".item").empty();
//         var page = 0;// 页数
//         var size = 10;// 每页展示20个
//         var errorTimes = 0;
//         var hasData = false;
//         $('.g-scrollview').dropload({
//             loadDownFn: function (me) {
//                 if (typeof cacheListData.pageNum === "undefined") {
//                     page = 0;
//                 } else {
//                     page = cacheListData.pageNum;
//                 }
//
//                 page++;
//                 if (prePage === page) {
//                     me.resetload();
//                 }
//                 if (page === 1) {
//                     prePage = 1;
//                 }
//
//                 // 拼接HTML
//                 var result = '';
//                 var param = {
//                     keyword: keywords,
//                     servicetype: servicetype,
//                     consulttype: "0",
//                     replied: "0",
//                     caseAreaCode: "",
//                     pageNum: page,
//                     pageSize: size,
//                     skytimeStamp: Date.parse(new Date())
//                 };
//                 consult_list_url = APP_SERVER_URL + "consult/lawyer/consults";
//                 var cacheSession = $sky.Model.handSessionStorage.get("cacheListData");
//                 if (typeof (cacheSession) != 'undefined' && cacheSession != null && cacheSession.list.length > 0 && oneQuestTag) {
//                     consult_list_url = '../../../global/resource/listCacheInitData.json';
//                 }
//                 $sky.Model.getAjax('get', consult_list_url, param)
//                     .then(function (data) {
//                         console.log("");
//                         console.warn("第" + page + "页请求的数据：");
//                         console.log(data)
//
//                         oneQuestTag = false;
//                         //1.判断数据是否为null，返回空数据时,不考虑缓存情况。有数据时，考虑缓存数据和使用缓存数据
//                         if (typeof (data.list) != 'undefined' && data.list.length != 0) {
//                             //2.取出缓存数据，如果没有的话这里是null
//                             var cacheSessionData = $sky.Model.handSessionStorage.get("cacheListData");
//                             //3.cacheSessionData没有值时，可以判断页面是从上一层页面进入（不是通过从详情页返回）
//                             //从上一层页面进入，这里缓存
//                             if (typeof (cacheSessionData) === 'undefined' || cacheSessionData === 'undefined' || cacheSessionData == null) {
//
//                                 console.log("上层进入：第" + page + "页:");
//                                 console.log("上层进入：缓存的第" + page + "页的第1条数据：" + data.list[0].consulttitle)
//                                 console.warn("=====上层进入：第" + page + "页结束====");
//
//                                 //4.将数据缓存下来，这里暂不用重新赋值给data.list
//                                 for (var f = 0; f < data.list.length; f++) {
//                                     cacheListData.list.push(data.list[f]);
//                                 }
//                                 cacheListData.pageNum = page;
//                                 cacheListData.timeStamp = Date.parse(new Date());
//
//                                 cacheListData.keywords = $sky.bindId("institutionName").value;
//                                 cacheListData.pickerName = $sky.bindId('fwlx').innerHTML;
//                                 cacheListData.servicetype = servicetype;
//
//
//                             }
//                             //5.使用缓存数据
//                             else {
//                                 //6.判断当前情况是否可加载缓存数据
//                                 if (cacheSessionData.list.length > 0 && page + '' === '1') {
//
//                                     //7.判断缓存数据的最后一页是否满一页
//                                     var cacheOutLength = (cacheSessionData.list.length % size);
//                                     //todo 该功能暂停使用
//                                     //8.不满一页时，将该页面数据删除，并更新session中缓存数据，避免该页数据再下次加载缓存出现该页数据重复
//                                     // if (cacheOutLength != 0) {
//                                     //     for (var g = 0; g < cacheOutLength; g++) {
//                                     //         cacheSessionData.list.pop();
//                                     //     }
//                                     //     $sky.Model.handSessionStorage.remove("cacheListData");
//                                     //     $sky.Model.handSessionStorage.set("cacheListData", JSON.stringify(cacheSessionData));
//                                     //     cacheSessionData.pageNum = cacheSessionData.pageNum - 2;
//                                     //     //9.这里要求下一次请求是按该page数请求，但是前面又有page++，所以这里提前再减一（很重要）
//                                     //     // page = cacheSessionData.pageNum - 1;
//                                     //
//                                     // }
//                                     page = cacheSessionData.pageNum;
//
//                                     data.list = cacheSessionData.list;
//
//                                     var titleObj = restoreTitle(cacheSessionData)
//                                     keywords = titleObj.keywords;
//                                     servicetype = titleObj.servicetype;
//
//                                     //cacheListData和cacheSessionData基本一样（后面优化可以合并成一个）
//                                     cacheListData = cacheSessionData;
//                                     hasCache = true;
//
//                                 }
//                             }
//
//                             //10. 二次进入滑到缓存外的数据，接着存缓存数据（确保有数据），一定是从详情页返回
//                             //从详情页返回，接着看，这里缓存
//
//                             if ((typeof (cacheSessionData) != 'undefined' && cacheSessionData != 'undefined' && cacheSessionData != null) && (page > cacheSessionData.pageNum)) {
//                                 //将数据接着缓存下来，不使用
//                                 console.log("详情进入：正在缓存第" + page + "页:");
//                                 console.log("详情进入：缓存的第" + page + "页的第1条数据：" + data.list[0].consulttitle);
//                                 console.log(cacheListData);
//                                 console.warn("=====================");
//                                 for (var t = 0; t < data.list.length; t++) {
//                                     cacheListData.list.push(data.list[t]);
//                                 }
//                                 cacheListData.pageNum = page;
//
//                             }
//                         }
//
//
//                         var arrLen = data.list.length;
//                         refresh_flag = false;
//                         if (arrLen > 0) {
//                             hasData = true;
//                             template.defaults.imports.calRemainingTime = function (time) {
//                                 time = time || "";
//                                 return calRemainingTime(new Date(Date.parse(time.replace(/-/g, "/") + ":00")), new Date());
//                             };
//
//                             template.defaults.imports.middle_content_up = function (content) {
//                                 if (content.length < 45) {
//                                     return content
//                                 } else {
//                                     return content.substr(0, 44) + "..."
//                                 }
//                             };
//                             result = template('item', data);
//                         } else {
//                             me.lock();
//                             me.noData();
//                             if (!hasData) {
//                                 $(".item").empty();
//                                 $(".dropload-down").hide();
//                                 result = template('empty', {});
//                                 $('.item').append(result);
//                                 return
//                             }
//                         }
//                         setTimeout(function () {
//                             $('.item').append(result);
//                             me.resetload();
//                             if (hasCache && typeof (cacheListData.scrollTop) != 'undefined') {
//                                 document.getElementById('g-scrollview-list').scrollTop = cacheListData.scrollTop;
//                             }
//                         }, 10);
//                     })
//                     .catch(function (error) {
//                         console.log('error' + error);
//                         refresh_flag = false;
//                         if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
//                             errorTimes++;
//                             me.resetload();
//                         }
//                     });
//             }
//         });
//     }
// }
//
// /**
//  * 跳转详情
//  */
// function jump(pkid) {
//     $sky.Model.handSessionStorage.set('cacheListData', JSON.stringify(cacheListData));
//     hrefFlag = 'detail';
//     window.parent.location.href = $sky.Util.urlTimestamp('../../business/consult/detail/consult_detail.html?pkid=' + pkid);
// }
//
// /**
//  * 刷新
//  */
// function onRefresh() {
//     clearCache();
//     keywords = "";
//     servicetype = 0;
//     $sky.bindId("institutionName").value = "";
//     $sky.bindId('fwlx').innerHTML = "全部";
//     loadList();
// }
//
// /**
//  * 服务类型一级联动
//  */
// function typePicker() {
//     var nowValue = $sky.bindId('fwlx');
//     new Picker({
//         "title": '请选择',//标题(可选)
//         "defaultValue": nowValue.innerHTML,//默认值-多个以空格分开（可选）
//         "type": 1,//需要联动级数[1、2、3]（可选）
//         "data": consultTypeData,//数据(必传)
//         "keys": {
//             "id": "Code",
//             "value": "Name"
//         },//数组内的键名称(必传，id、text、data)
//         "callBack": function (val, code) {
//             clearCache();
//             //回调函数（val为选择的值）
//             nowValue.innerHTML = val;
//             servicetype = code.split(',')[0];
//             keywords = $sky.bindId("institutionName").value;
//             loadList();
//         }
//     });
// }
//
// /**
//  * 根据关键字搜索
//  */
// function searchKeyWord() {
//     clearCache();
//
//     keywords = $sky.bindId("institutionName").value;
//     loadList();
// }
//
// /**
//  * 暂不签到
//  */
// function refuseSign() {
//     updateSignState("0");
//     $sky.bindId('SIGN_DIALOG').style.visibility = "hidden";
// }
//
// /**
//  * 签到
//  */
// function acceptSign() {
//     onSign();
// }
//
// // ============================================3.函数集============================================
// /**
//  * 设置用户信息
//  */
// function userInfo() {
//     $sky.bindId('name').innerHTML = CURRENT_ACCOUNT.getUserName();
//     $sky.bindId('number').innerHTML = CURRENT_ACCOUNT.getUserCode();
// }
//
// /**
//  * 获取当前签到状态
//  */
// function getSignStatus() {
//     $sky.Model.getAjax('get', sign_status_url)
//         .then(function (data) {
//             if (data.success) {
//                 updateSignState(data.data.status);
//             } else {
//                 console.error(data);
//             }
//         })
//         .catch(function (error) {
//             console.error(error);
//         });
// }
//
// function loadConsultType() {
//     $sky.Model.getAjax('get', url_consult_type, {})
//         .then(function (data) {
//             var consultData = [];
//             var all = {
//                 "Name": "全部",
//                 "Code": "0",
//                 "Level": []
//             };
//             consultData.push(all);
//             for (var i = 0; i < data.data.length; i++) {
//                 consultData.push(data.data[i]);
//             }
//             consultTypeData = consultData;
//         })
//         .catch(function (error) {
//             console.error(error);
//         });
// }
//
// window.addEventListener("pagehide", function (ev) {
//     if (hrefFlag != 'detail') { //回退到上一层，必须清楚，不然还是使用缓存
//         $sky.Model.handSessionStorage.remove("cacheListData");
//
//     }
//
// })
//
// document.getElementById('g-scrollview-list').onscroll = function () {
//     cacheListData.scrollTop = document.getElementById('g-scrollview-list').scrollTop;
//     // console.log(cacheListData.scrollTop);
// }
//
// function clearCache() {
//     $sky.Model.xhr.abort();
//     $sky.Model.handSessionStorage.remove("cacheListData");
//     cacheListData = {};
//     cacheListData.list = [];
// }
//
// function restoreTitle(cacheSessionData) {
//     console.warn("====清空当前数据，恢复前（" + cacheSessionData.pageNum + "）页缓存数据====");
//     console.log("cacheSessionData中记录:");
//     console.log("缓存共" + cacheSessionData.pageNum + "页。第1条数据：" + cacheSessionData.list[0].consulttitle)
//     console.log(cacheSessionData)
//     console.log("缓存时间存放了：" + (Date.parse(new Date()) - cacheSessionData.timeStamp) / (1000 * 60) + "分");
//     console.warn("=====================");
//
//     var titleObj = {};
//     if (typeof(cacheSessionData.keywords) != "undefined") {
//         $sky.bindId("institutionName").value = cacheSessionData.keywords;
//     } else {
//         $sky.bindId("institutionName").value = "";
//     }
//
//     titleObj.keywords = cacheSessionData.keywords;
//
//
//     if (typeof(cacheSessionData.pickerName) != "undefined") {
//         $sky.bindId('fwlx').innerHTML = cacheSessionData.pickerName;
//     } else {
//         $sky.bindId('fwlx').innerHTML = "全部";
//     }
//
//
//     if (typeof(cacheSessionData.servicetype) != "undefined") {
//         titleObj.servicetype = cacheSessionData.servicetype;
//     } else {
//         titleObj.servicetype = 0;
//     }
//
//     return titleObj;
// }
//
//
// function calRemainingTime(sTime, eTime) {
//     var interval = sTime.getTime() - eTime.getTime();  //时间差的毫秒数
//     if (interval < 10000) {
//         return "已超时";
//     }
//     var res = "";
//
// //计算出相差天数
//     var days = Math.floor(interval / (24 * 3600 * 1000));
//
// //计算出小时数
//     var leave1 = interval % (24 * 3600 * 1000);  //计算天数后剩余的毫秒数
//     var hours = Math.floor(leave1 / (3600 * 1000));
// //计算相差分钟数
//     var leave2 = leave1 % (3600 * 1000);  //计算小时数后剩余的毫秒数
//     var minutes = Math.floor(leave2 / (60 * 1000));
//
//     if (days > 0) {
//         res = days + "天";
//     }
//     if (hours > 0) {
//         res += hours + "小时";
//     }
//     if (minutes > 0) {
//         res += minutes + "分";
//     }
//     return "剩余" + res;
// }
