// ============================================全局数据============================================
var url_list = APP_SERVER_URL + 'office/offices';
var url_province = '../../../../global/resource/province.json';

var pageTitle = $sky.Model.getUrlParam('title');
var cityCode = $sky.Model.getUrlParam('cityCode');
var cityName = $sky.Model.getUrlParam('cityName');
var type = $sky.Model.getUrlParam('type');
var typeName = $sky.Model.getUrlParam('typeName');
var areaCode = "";//所在区
var lng = $sky.Model.getUrlParam('lng');
var lat = $sky.Model.getUrlParam('lat');

var typeData = [
    {
        "code": "0",
        "name": "全部"
    },
    {
        "code": "1",
        "name": "律师事务所"
    },
    {
        "code": "2",
        "name": "公证处"
    },
    {
        "code": "3",
        "name": "司法鉴定机构"
    },
    {
        "code": "4",
        "name": "法律援助机构"
    },
    {
        "code": "5",
        "name": "人民调解机构"
    },
    {
        "code": "6",
        "name": "法律服务机构"
    }
];

// ============================================1.初始化页面============================================
(function () {

    if (pageTitle != "") {
        document.title = pageTitle;
    }
    if ("" == type) {
        type = "0";
    }
    if ("0" != type && typeName == "") {
        $("#filter_type").hide();
    }

    if ($sky.Model.getUrlParam('hideHeader') == "true") {
        $sky.bindClass('n-header')[0].style.display = 'none';
    } else {
        $sky.bindId('title').innerHTML = pageTitle;
    }

    if (typeName != "") {
        $sky.bindId('jglx').innerHTML = typeName;
    }
    loadProvince();
    if (cityCode) {
        $sky.bindId('sxqq').innerHTML = cityName;
    } else {
        cityCode = $sky.Model.getDefaultCityCode();
        cityName = $sky.Model.getDefaultCityName();
        $sky.bindId('sxqq').innerHTML = cityName;
    }
    if (cityCode == "" || cityCode == null) {
        cityCode = "11";
        cityName = "北京";
        $sky.bindId('sxqq').innerHTML = cityName;
    }
    loadList();
})();

// ============================================2.事件集============================================
function jump(type, pkid) {
    var urlDetail = "";
    switch (type) {
        case "1":
            urlDetail = "../../law-office/detail/law_office_detail.html";
            break;
        case "2":
            urlDetail = "../../notarial-office/detail/notary_office_detail.html";
            break;
        case "3":
            urlDetail = "../../judicial-auth-office/detail/judicial_auth_office_detail.html";
            break;
        case "4":
            urlDetail = "../../law-support-office/detail/law_support_office_detail.html";
            break;
        case "5":
            urlDetail = "../../mediation-office/detail/mediation_office_detail.html";
            break;
        case "6":
            urlDetail = "../../law-service-office/detail/law_service_office_detail.html";
            break;
        case "7":
            urlDetail = "../../arbitration-office/detail/arbitration_office_detail.html";
            break;
        default:
            window.SKYUI.dialog.toast('机构类别错误，type = ' + type, 'none', 5000);
            break
    }

    window.location.href = $sky.Util.urlTimestamp(urlDetail + "?pkid=" + encodeURIComponent(pkid) + "&type=" + type + "&cityCode=" + cityCode + "&lng=" + lng + "&lat=" + lat);
}

function refresh() {
    loadList();
}

/**
 * 机构类型 一级联动
 */
function typePicker() {
    var nowValue = $sky.bindId('jglx');
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": nowValue.innerHTML,//默认值-多个以空格分开（可选）
        "type": 1,//需要联动级数[1、2、3]（可选）
        "data": typeData,//数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            // nowValue.value = val;
            console.log("id为" + code + ",值为" + val);
            type = code.split(",")[0];
            typeName = val;
            nowValue.innerHTML = val;
            refresh();
        }
    });
}

/**区域 二级联动*/
function provincePicker() {
    var nowValue = $sky.bindId('sxqq');
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": nowValue.innerHTML,//默认值-多个以空格分开（可选）
        "type": 2,//需要联动级数[1、2、3]（可选）
        "data": provinceData,//数据(必传)
        "keys": {
            "id": "Code",
            "value": "Name",
            "childData": "level"//最多3级联动
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            var codes = code.split(",")
            cityCode = "" == codes[1] ? codes[0] : codes[1];
            if (val.substring(val.length - 2, val.length) == "所有") {
                cityName = val.substring(0, val.length - 3);
            } else {
                cityName = val.split(" ")[1];
            }
            nowValue.innerHTML = cityName;
            refresh();
        }
    });
}

// ============================================2.函数集============================================
function loadList() {
    $(".list").empty();
    var page = 0;// 页数
    var size = 20;// 每页展示20个
    var errorTimes = 0;
    var hasData = false;
    $('.content').dropload({
        scrollArea: window,
        loadDownFn: function (me) {
            console.log("page:" + page);
            page++;
            // 拼接HTML
            var result = '';
            var param = {
                officeType: type,
                cityCode: cityCode,
                areaCode: areaCode,
                longitude: lng,
                latitude: lat,
                pageNum: page,
                pageSize: size
            };
            $sky.Model.getAjax('get', url_list, param)
                .then(function (data) {
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        result = template('item', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                            $('.list').append(result);
                        }
                    }
                    setTimeout(function () {
                        $('.list').append(result);
                        me.resetload();
                    }, 10);
                })
                .catch(function (error) {
                    console.log('error' + error);
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        errorTimes++;
                        me.resetload();
                    }
                });
        }
    });
}

/*获取全国省市信息*/
function loadProvince() {
    $sky.Model.getAjax('get', url_province, {})
        .then(function (data) {
            provinceData = data.data;
        }).catch(function (error) {
        console.log(error);
    });
}




