function navigation(name, lat, lng, address) {
    switch (checkPlatform()) {
        case 1:
            androidNavigation(name, lat, lng, address);
            break;
        case 2:
            iosNavigation(name, lat, lng, address);
            break;
        default:
            webNavigation(name, lat, lng, address);
            break;
    }
}

function checkPlatform() {
    var userAgent = navigator.userAgent;
    var isAndroid = userAgent.indexOf('Android') > -1 || userAgent.indexOf('Adr') > -1; //android终端
    var isiOS = userAgent.indexOf('iPhone') > -1 || userAgent.indexOf('iPad') > -1; //iPhone/iPad终端
    if (isAndroid) {
        return 1; //android
    } else if (isiOS) {
        return 2;// ios
    } else {
        return 3;//weixin/pc
    }
}

function androidNavigation(name, lat, lng, address) {
    isInstalled('com.baidu.BaiduMap')
        .then(function () {
            window.location.href = "bdapp://map/marker?location=" + lat + "," + lng + "&title=" + name + "&content=" + address;
        })
        .catch(function () {
            webNavigation(name, lat, lng, address);
        });
}

function iosNavigation(name, lat, lng, address) {
    isInstalled('baidumap://')
        .then(function () {
            $sky.bindId('goThere').href = "baidumap://map/marker?location=" + lat + "," + lng + "&title=" + encodeURIComponent("我的位置") + "&content=" + encodeURIComponent(name) + "&src=webapp.marker.skytech.zs12348";
            $("#goThere").trigger("click");
        })
        .catch(function () {
            webNavigation(name, lat, lng, address);
        });
}

function webNavigation(name, lat, lng, address) {
    var url = 'http://api.map.baidu.com/marker?location=' + lat + ',' + lng + '&title=' + encodeURIComponent(name) + '&content=' + encodeURIComponent(address) + '&output=html&src=' + encodeURIComponent("南京擎天科技|中国法律服务网（12348中国法网）");
    window.parent.open(url, '_blank', 'location=no');
}

/**
 * 是否安装app
 */
function isInstalled(package) {
    return new ES6Promise(function (resolve, reject) {
        appAvailability.check(
            package, // Package Name
            function () {           // Success callback
                console.log(package + ' is installed');
                resolve();
            },
            function () {           // Error callback
                console.log(package + ' is not installed');
                reject();
            }
        );
    });
}