// ============================================全局数据============================================
var url_user_todos = APP_SERVER_URL + 'user/todos';
var passData = $sky.Model.getUrlParam("passData");
var beginDate = 0;
var isToast = false;

// ============================================1.初始化状态========================================
$(function () {
    initBoxHeight();

    if (CLOUD && passData != null && typeof (passData) != "undefined") {
        var pass = JSON.parse(passData);
        CURRENT_ACCOUNT.setUserRole(pass.role);
        CURRENT_ACCOUNT.setId(pass.userid);
        CURRENT_ACCOUNT.setUserName(pass.name);
        CURRENT_ACCOUNT.setUserCode(pass.code);
        CURRENT_ACCOUNT.setUserData(pass.data);
        $sky.Model.handLocalStorage.set("last_login_time", pass.logintime);
        $sky.Model.handSessionStorage.set("ROOT_FILE_PATH", pass.rootpath);
    }

    $sky.bindId('iFramePage').src = $sky.Util.urlTimestamp("../../home/expert/expert_home.html");

    // 页面加载后添加各事件监听
    document.addEventListener("deviceready", onDeviceReady, false);

    if (undefined != $sky.Model.handSessionStorage.get("MAIN_INDEX")) {
        var index = $sky.Model.handSessionStorage.get("MAIN_INDEX");
        reStoreTab(index);
    }

    showUserTodo({
        timestamp: Date.parse(new Date()),
        usertype: "3",
        businesstype: "1",
        scenetype: "3001,3002,3003"
    }).then(function (data) {
        var todoNum = 0;
        for (var i = 3001; i <= 3003; i++) {
            todoNum += data["" + i];
        }
        $sky.bindId('personUnread').style.display = todoNum > 0 ? "block" : "none";
        if (navigator.userAgent.indexOf('Android') > 0) {
            window.plugins.Badge.setAndroidIconBadgeNumber(todoNum);
        } else if (/iP(ad|hone|od)/.test(navigator.userAgent)) {
            window.plugins.jPushPlugin.setBadge(todoNum);
            window.plugins.jPushPlugin.setApplicationIconBadgeNumber(todoNum);
        }
    });

    tabChangeClick();
});

// ============================================2.事件集============================================
/**
 * 底部导航栏切换
 */
function tabChangeClick() {
    $('.nav_top a').click(function () {

        if ($sky.Model.handSessionStorage.get("MAIN_INDEX") == undefined ||
            $sky.Model.handSessionStorage.get("MAIN_INDEX") == null ||
            $sky.Model.handSessionStorage.get("MAIN_INDEX") != $(this).index()
        ) {
            var index = $(this).index();

            //底部导航 字体样式设置
            $(this).siblings().removeClass('active');
            $(this).addClass('active');

            //底部导航 图标设置
            setBottomIcon(index);

            skipIframe(index);

            $sky.Model.handSessionStorage.set("MAIN_INDEX", index);
        }
    })
}

// ============================================3.函数集============================================
/**
 * 初始化iframe高度
 */
function initBoxHeight() {
    var font = window.document.documentElement.style.fontSize.split("px");
    font[0] = (font[0].split('%')[0] / 100) * defaultFontSize;
    $sky.bindId('nav_mid').style.height = (document.documentElement.clientHeight / font[0] - 1.12) + "rem";
    $(window).resize(function () {
        var font = window.document.documentElement.style.fontSize.split("px");
        $sky.bindId('nav_mid').style.height = (document.documentElement.clientHeight / font[0] - 1.12) + "rem";
    });
}

/**
 * 设置底部导航的图标
 * @param index
 */
function setBottomIcon(index) {
    switch (index) {
        case 0:
            $sky.bindId('home').src = "images/ic_home_active.png";
            $sky.bindId('phone').src = "images/ic_consult.png";
            $sky.bindId('map').src = "images/ic_public.png";
            $sky.bindId('person').src = "images/ic_mine.png";
            break;

        case 1:
            $sky.bindId('home').src = "images/ic_home.png";
            $sky.bindId('phone').src = "images/ic_consult_active.png";
            $sky.bindId('map').src = "images/ic_public.png";
            $sky.bindId('person').src = "images/ic_mine.png";
            break;

        case 2:
            $sky.bindId('home').src = "images/ic_home.png";
            $sky.bindId('phone').src = "images/ic_consult.png";
            $sky.bindId('map').src = "images/ic_public_active.png";
            $sky.bindId('person').src = "images/ic_mine.png";
            break;

        case 3:
            $sky.bindId('home').src = "images/ic_home.png";
            $sky.bindId('phone').src = "images/ic_consult.png";
            $sky.bindId('map').src = "images/ic_public.png";
            $sky.bindId('person').src = "images/ic_mine_active.png";
            break;

        default:
            break;
    }
}

/**
 * 返回主页面时，还原到上一次的tab页面
 */
function reStoreTab(index) {
    $('.nav_top a').siblings().removeClass('active');
    $('.nav_top a')[index].setAttribute('class', 'active');

    //底部导航 图标设置
    setBottomIcon(index)

    skipIframe(index)
}

/**
 * 根据tab跳转到相应的iframe
 * @param index
 */
function skipIframe(index) {
    switch (index) {
        case 0:
            $sky.bindId('iFramePage').src = $sky.Util.urlTimestamp("../../home/expert/expert_home.html");
            break;

        case 1:
            $sky.bindId('iFramePage').src = $sky.Util.urlTimestamp("../../business/consult/expert/list/consult_expert.html");
            break;

        case 2:
            $sky.bindId('iFramePage').src = $sky.Util.urlTimestamp("../../home/public/public_home.html");
            break;

        case 3:
            $sky.bindId('iFramePage').src = $sky.Util.urlTimestamp("../../setting/account/main/account_main_expert.html?isShowMessage=false");
            break;

        default:
            break;
    }
}

/**
 * dom加载完的回调
 */
function onDeviceReady() {
    initAndroidBackButton();
}

//监听返回键按钮事件
function initAndroidBackButton() {
    document.addEventListener("backbutton", eventBackButton, false);
}

//返回键点击响应
function eventBackButton() {
    var endDate = new Date().getTime();
    if (isToast && endDate - beginDate < 2000) {
        beginDate = endDate;
        isToast = false;
        navigator.app.exitApp();
    } else {
        isToast = true;
        beginDate = new Date().getTime();
        window.SKYUI.dialog.toast('再按一次退出', 'none', 1000);
    }
}

/**
 * 获取未读消息
 */
function showUserTodo(params) {
    return new ES6Promise(function (resolve, reject) {
        $sky.Model.getAjax('get', url_user_todos, params)
            .then(function (data) {
                if (data.success) {
                    resolve(data);
                } else {
                    reject("无数据");
                }
            }).catch(function (error) {
            reject(error);
        });
    });
}