// ============================================全局数据============================================
var url_list = APP_SERVER_URL + 'news/list?';
var tabData = {
    laws: [
        {
            type: 9,
            name: "律师服务"
        },
        {
            type: 10,
            name: "公证服务"
        },
        {
            type: 11,
            name: "法律援助"
        },
        {
            type: 12,
            name: "人民调解"
        },
        {
            type: 13,
            name: "司法考试"
        },
        {
            type: 14,
            name: "司法鉴定"
        },
        {
            type: 15,
            name: "社区矫正"
        },
        {
            type: 17,
            name: "仲裁"
        }
    ],
    guide: [
        {
            type: 5,
            name: "律师服务"
        },
        {
            type: 6,
            name: "公证服务"
        },
        {
            type: 4,
            name: "法律援助"
        },
        {
            type: 8,
            name: "司法鉴定"
        }
    ]
};
var pageTitle = $sky.Model.getUrlParam('title');
var mType = $sky.Model.getUrlParam('type');
// ============================================1.初始化页面============================================
(function () {
    if (pageTitle != "") {
        document.title = pageTitle;
        $sky.bindId('title').innerHTML = pageTitle;
    }
    if (mType == "laws" || mType == "guide") {
        var data = {
            list: tabData[mType]
        };
        $sky.bindId('tabContainer').innerHTML = template('tab', data);
        mType = data.list[0].type;
    }

    loadList();
})();

// ============================================2.事件集============================================
function jump(url) {
    window.location.href = $sky.Util.urlTimestamp(url);
}

function onTabClicked(type) {
    mType=type;
    loadList();

}

// ============================================2.函数集============================================
function loadList() {
    $('.list').empty();
    var newType = mType;
    var page = 0;// 页数
    var size = 10;// 每页展示10个
    var errorTimes = 0;
    var hasData = false;
    $('.g-scrollview').dropload({
        loadDownFn: function (me) {
            console.log("page:" + page);
            page++;
            // 拼接HTML
            var result = '';
            $sky.Model.getAjax('get', url_list + 'type=' + mType + '&pageNum=' + page + '&pageSize=' + size)
                .then(function (data) {
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        result = template('item', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            if (newType == newType) {
                                result = template('empty', {});
                                $('.list').append(result);
                            }
                        }
                    }
                    setTimeout(function () {
                        if (newType == newType) {
                            $('.list').append(result);
                            me.resetload();
                        }
                    }, 10);
                })
                .catch(function (error) {
                    console.error(error);
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        errorTimes++;
                        me.resetload();
                    }
                });
        }
    });
}
