// ============================================全局数据============================================
var url_mediator_list = APP_SERVER_URL + 'people/mediators?';
var url_province = '../../../../../global/resource/province.json';

var officeId = $sky.Model.getUrlParam('officeId'); //律所标识
var goodAt = $sky.Model.getUrlParam('goodAt');//擅长案件类型
var goodName = $sky.Model.getUrlParam('goodName') == "" ? "擅长类型" : $sky.Model.getUrlParam('goodName');//所在区
var level = "";//律师等级
var cityCode = $sky.Model.getUrlParam('cityCode');//所在城市
var cityName = $sky.Model.getUrlParam('cityName');//所在城市
var areaCode = $sky.Model.getUrlParam('areaCode');//所在区
var dialog = window.SKYUI.dialog;

var typeData = [
    {
        "code": "400_1",
        "name": "婚姻关系"
    },
    {
        "code": "400_2",
        "name": "财产继承"
    },
    {
        "code": "400_3",
        "name": "土地流转"
    },
    {
        "code": "400_4",
        "name": "宅基地"
    },
    {
        "code": "400_5",
        "name": "房产交易"
    },
    {
        "code": "400_6",
        "name": "劳动合同"
    },
    {
        "code": "400_7",
        "name": "电子商务"
    },
    {
        "code": "400_8",
        "name": "价格争议"
    },
    {
        "code": "400_9",
        "name": "医疗卫生"
    },
    {
        "code": "400_10",
        "name": "生产经营"
    },
    {
        "code": "400_11",
        "name": "子女抚养"
    },
    {
        "code": "400_12",
        "name": "邻里关系"
    },
    {
        "code": "400_13",
        "name": "土地确权"
    },
    {
        "code": "400_14",
        "name": "征地拆迁"
    },
    {
        "code": "400_15",
        "name": "拆违拆临"
    },
    {
        "code": "400_16",
        "name": "工伤事故"
    },
    {
        "code": "400_17",
        "name": "旅游出行"
    },
    {
        "code": "400_18",
        "name": "民间借贷"
    },
    {
        "code": "400_19",
        "name": "交通事故"
    },
    {
        "code": "400_20",
        "name": "建筑工程"
    },
    {
        "code": "400_21",
        "name": "老人赡养"
    },
    {
        "code": "400_22",
        "name": "山林纠纷"
    },
    {
        "code": "400_23",
        "name": "物业管理"
    },
    {
        "code": "400_24",
        "name": "拖欠农民工工资"
    },
    {
        "code": "400_25",
        "name": "金融债券"
    },
    {
        "code": "400_26",
        "name": "环境损害"
    },
    {
        "code": "400_27",
        "name": "权利侵害"
    },
    {
        "code": "400_28",
        "name": "其他"
    }
];//表单数据保存

// ============================================1.初始化状态============================================
$(function () {
    if ($sky.Model.getUrlParam('hideSearch') == "true") {
        $(".search_container").hide();
        var listViews = $(".list");
        for (var i = 0; i < listViews.length; i++) {
            listViews[i].style.paddingTop = '0px';
        }
        $sky.bindClass('n-header')[0].style.display = 'none';
    }
    loadProvince();

    if(cityCode != undefined && cityCode != ""){
        $sky.bindId('sxqq').innerHTML = cityName;
        $sky.bindId('sclx').innerHTML = goodName;
        loadList();
    }else {
        cityCode = $sky.Model.getDefaultCityCode();
        cityName = $sky.Model.getDefaultCityName();
        $sky.bindId('sxqq').innerHTML = cityName;
        $sky.bindId('sclx').innerHTML = goodName;
        loadList();
    }

});

// ============================================2.事件集============================================
/**
 * 列表item 点击事件
 * @param lawyerid
 */
function onItemClick(pkid) {
    window.parent.location.href = $sky.Util.urlTimestamp('../detail/mediator_basic_detail.html?pkid=' + pkid);
}

/**
 * 擅长类型 一级联动
 */
function typePicker() {
    var nowValue = $sky.bindId('sclx');
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": nowValue.innerHTML,//默认值-多个以空格分开（可选）
        "type": 1,//需要联动级数[1、2、3]（可选）
        "data": typeData,//数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            // nowValue.value = val;
            console.log("id为" + code + ",值为" + val);
            goodAt = code;
            nowValue.innerHTML = val;
            goodName = val.split(' ')[0];
            refresh();
        }
    });
}

/**区域 二级联动*/
function provincePicker() {
    var nowValue = document.getElementById('sxqq');
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": nowValue.innerHTML,//默认值-多个以空格分开（可选）
        "type": 2,//需要联动级数[1、2、3]（可选）
        "data": provinceData,//数据(必传)
        "keys": {
            "id": "Code",
            "value": "Name",
            "childData": "level"//最多3级联动
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            // nowValue.value = val;
            console.log(val + ',' + code);
            var codes = code.split(",");
            cityCode = codes[0];

            if (val.substring(val.length - 2, val.length) == "所有") {
                cityName = val.substring(0, val.length - 3)
            } else {
                cityName = val.split(" ")[1];
            }
            nowValue.innerHTML = cityName;
            areaCode = codes.length == 2 ? codes[1] : "";
            refresh();
        }
    });
}

/**
 * 刷新列表
 */
function refresh() {
    loadList();
}

// ============================================3.函数集============================================
/*获取律师列表*/
function loadList() {
    $(".list").empty();
    var page = 0;// 页数
    var size = 100;// 每页展示10个
    var errorTimes = 0;
    var hasData = false;
    $('.content').dropload({
        scrollArea: window,
        loadDownFn: function (me) {
            console.log("page:" + page);
            page++;
            // 拼接HTML
            var result = '';
            var param = {
                cityCode: cityCode,
                areaCode: "",
                lawOfficeId: officeId,
                goodAt: "",
                level: '',
                pageNum: page,
                pageSize: size
            };
            $sky.Model.getAjax('get', url_mediator_list, param)
                .then(function (data) {
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        result = template('item', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                            $('.list').append(result);
                        }
                    }
                    setTimeout(function () {
                        $('.list').append(result);
                        me.resetload();
                        if($sky.Model.getUrlParam('hideSearch') == "true"){
                            $(".dropload-refresh").hide();
                        }
                    }, 10);
                })
                .catch(function (error) {
                    console.log(error);
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        errorTimes++;
                        me.resetload();
                    }
                });
        }
    });
}

/*获取全国省市信息*/
function loadProvince() {
    $sky.Model.getAjax('get', url_province, {})
        .then(function (data) {
            provinceData = data.data;
        });
}
