// ============================================全局数据============================================
var url_notary_list = APP_SERVER_URL + 'people/notaries?';
var url_province = '../../../../../global/resource/province.json';

var officeId = $sky.Model.getUrlParam('lawOfficeId'); //律所标识
var cityCode = $sky.Model.getUrlParam('cityCode');//所在城市
var cityName = $sky.Model.getUrlParam('cityName');//所在区
var dialog = window.SKYUI.dialog;

// ============================================1.初始化状态============================================
$(function () {
    if ($sky.Model.getUrlParam('hideSearch') == "true") {
        $(".search_container").hide();
        var listViews = $(".list");
        for (var i = 0; i < listViews.length; i++) {
            listViews[i].style.paddingTop = '0px';
        }
        $sky.bindClass('n-header')[0].style.display = 'none';
    }
    loadProvince();

    if (cityCode != undefined && cityCode != "") {
        $sky.bindId('sxqq').innerHTML = cityName;
        loadList();
    } else {
        cityCode = $sky.Model.getDefaultCityCode();
        cityName = $sky.Model.getDefaultCityName();
        $sky.bindId('sxqq').innerHTML = cityName;
        // $sky.bindId('sclx').innerHTML = goodName;
        loadList();
    }
});

// ============================================2.事件集============================================
/**
 * 列表item 点击事件
 * @param lawyerid
 */
function onItemClick(pkid) {
    window.parent.location.href = $sky.Util.urlTimestamp('../detail/notary_basic_detail.html?pkid=' + pkid);
}

function refresh() {
    loadList();
}

/**区域 二级联动*/
function provincePicker() {
    var nowValue = $sky.bindId('sxqq');
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": nowValue.innerHTML,//默认值-多个以空格分开（可选）
        "type": 2,//需要联动级数[1、2、3]（可选）
        "data": provinceData,//数据(必传)
        "keys": {
            "id": "Code",
            "value": "Name",
            "childData": "level"//最多3级联动
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            // nowValue.value = val;
            console.log(val + ',' + code);
            var codes = code.split(",");
            cityCode = codes[0];

            if (val.substring(val.length - 2, val.length) == "所有") {
                cityName = val.substring(0, val.length - 3)
            } else {
                cityName = val.split(" ")[1];
            }
            nowValue.innerHTML = cityName;
            areaCode = codes.length == 2 ? codes[1] : "";
            refresh();
        }
    });
}

// ============================================3.函数集============================================
/*获取律师列表*/
function loadList() {
    $(".list").empty();
    var page = 0;// 页数
    var size = 10;// 每页展示10个
    var errorTimes = 0;
    var hasData = false;
    $('.content').dropload({
        scrollArea: window,
        loadDownFn: function (me) {
            console.log("page:" + page);
            page++;
            // 拼接HTML
            var result = '';
            var param = {
                cityCode: cityCode,
                areaCode: "",
                officeId: officeId,
                pageNum: page,
                pageSize: size
            }
            $sky.Model.getAjax('get', url_notary_list, param)
                .then(function (data) {
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        template.defaults.imports.level_filter = function (data) {
                            if (typeof (data) == "undefined") {
                                return "暂无职称";
                            } else {
                                return "职称" + data + "级";
                            }
                        };
                        result = template('item', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                            $('.list').append(result);
                        }
                    }
                    setTimeout(function () {
                        $('.list').append(result);
                        me.resetload();
                        if ($sky.Model.getUrlParam('hideSearch') == "true") {
                            $(".dropload-refresh").hide();
                        }
                    }, 10);
                })
                .catch(function (error) {
                    console.log(error);
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        errorTimes++;
                        me.resetload();
                    }
                });
        }
    });
}

/*获取全国省市信息*/
function loadProvince() {
    $sky.Model.getAjax('get', url_province, {})
        .then(function (data) {
            provinceData = data.data;
        });
}
