// ============================================全局数据============================================
var url_version = APP_SERVER_URL + "android/phone/latestVersion.json";
var url_ios_index = APP_SERVER_URL + "ios/phone/index.html";
var url_apk;
var newVersion = ""; //最新版本号
var currentVersion = ""; //当前版本号

var dialog = window.SKYUI.dialog;
// ============================================1.初始化状态============================================
$(function() {
    judgeVersion();
});

// ============================================2.事件集============================================
/*提示 -- 建设中*/
function onToast() {
    dialog.toast('建设中...', 'none', 1000);
}
/**
 * 更改密码
 * [changePassword description]
 * @return {[type]} [description]
 */
function changePassword() {
    var changePassword = '../auth/change-password/auth_changepassword.html';
    window.location.replace($sky.Util.urlTimestamp(changePassword))
}

/**
 * 检查版本
 */
function onUpdate() {
    if (newVersion > currentVersion) {
        dialog.confirm('最新版本为V' + newVersion + ',是否更新？', function() {
            if (isIphone()) {
                window.parent.open($sky.Util.urlTimestamp(url_ios_index), '_blank', 'location=no');
            } else {
                createFile(url_apk);
            }
        });
    } else {
        dialog.toast("已经是最新版本", 'none', "1000");
    }
}

// ============================================3.函数集============================================
//创建文件目录
function createFile(url_apk) {
    window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function(fs) {
        fs.root.getFile('zs12348.apk', {
                create: true,
                exclusive: false
            },
            function(fileEntry) {
                download(fileEntry, url_apk);
            }, onErrorCreateFile);
    }, onErrorLoadFs);
}

//下载文件
function download(fileEntry, uri) {
    dialog.loading.open("正在下载...");
    var fileTransfer = new FileTransfer();
    var fileURL = fileEntry.toURL();

    fileTransfer.download(
        uri,
        fileURL,
        function(entry) {
            console.log("文件保存位置: " + entry.toURL());
            $sky.Model.handLocalStorage.remove("VERSION_APK");
            dialog.loading.close();
            cordova.plugins.fileOpener2.open(
                entry.toURL(),
                'application/vnd.android.package-archive'
            );
        },
        function(error) {
            console.log("下载失败！");
            console.log("error" + JSON.stringify(error));
        },
        null, {}
    );
}

function judgeVersion() {
    currentVersion = APP_VERSION;
    $sky.bindId("version").innerHTML = "V " + APP_VERSION;
    getServiceVersion();
}

function getServiceVersion() {
    $sky.Model.getAjax('get', url_version, {
        timestamp: new Date().getTime()
    }).then(function(data) {
        newVersion = data.version;
        url_apk = data.newUrl;
    });
}

//文件创建失败回调
function onErrorCreateFile(error) {
    console.log("文件创建失败！" + error)
}

//FileSystem加载失败回调
function onErrorLoadFs(error) {
    console.log("文件系统加载失败！" + error)
}

/**
 * 判断是否是iphone手机
 * @returns
 */
function isIphone() {
    var iphone = navigator.userAgent.toLocaleLowerCase().match(/iPhone/i);
    return iphone && iphone.length;
}