// ============================================全局数据============================================

var S_INSTITUTION = "s_institution";
var url_list_people = [
    'people/lawyers',
    'people/mediators',
    'people/notaries',
    'people/lawSrvPeoples',
    'people/arbitration'
];

var urlDetailPeople = [
    "../../people/lawyer/basic/detail/lawyer_basic_detail.html",
    "../../people/mediator/basic/detail/mediator_basic_detail.html",
    "../../people/notary/basic/detail/notary_basic_detail.html",
    "../../people/law-srv-people/basic/detail/srv_basic_detail.html",
    "../../people/zc/basic/detail/zc_basic_detail.html",
];

var peopleTypeData = [
    {
        "code": "0",
        "name": "律师"
    },
    {
        "code": "1",
        "name": "调解员"
    },
    {
        "code": "2",
        "name": "公证员"
    }];
var selectedPeopleType = $sky.Model.getUrlParam('p_type');
if(selectedPeopleType==4){
    $("#flfgOr").css("display","none");
}

/*var result = template('bszn', selectedPeopleType);
$('.flfgOr').append(result);*/
var selectedPeopleName = "律师";

var lawOfficeId = $sky.Model.getUrlParam('lawOfficeId'); //律所标识
var goodAt = $sky.Model.getUrlParam('goodAt');//擅长案件类型
var goodName = $sky.Model.getUrlParam('goodName') == "" ? "擅长类型" : $sky.Model.getUrlParam('goodName');//所在区
var level = "";//律师等级

var areaCode = $sky.Model.getUrlParam('areaCode');//所在区
var dialog = window.SKYUI.dialog;
var provinceData = [];

// ============================================1.初始化状态============================================

// ============================================2.事件集============================================

function searchPeople() {
    loadPeopleList(encodeURI($sky.bindId('peopleName').value));
}

/**
 * 列表item 点击事件
 * @param lawyerid
 */
function onItemClick(pkid) {
    var session = {
        cityCode: cityCode,
        cityName: cityName,
        cityCode1: cityCode1,
        cityName1: cityName1,
        type: type,
        typeName: typeName,
        selectedPeopleType: selectedPeopleType,
        selectedPeopleName: selectedPeopleName,
        keyword: $sky.bindId('institutionName').value,
        keyword1: $sky.bindId('peopleName').value
    };

    $sky.Model.handSessionStorage.set(SEEEION_IP, JSON.stringify(session));
    window.parent.location.href = $sky.Util.urlTimestamp(urlDetailPeople[selectedPeopleType] + '?pkid=' + pkid);
}


/**
 * 人员类型 一级联动
 */
function peopleTypePicker() {
    var nowValue = $sky.bindId('peopleType');
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": nowValue.innerHTML,//默认值-多个以空格分开（可选）
        "type": 1,//需要联动级数[1、2、3]（可选）
        "data": peopleTypeData,//数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        }, //数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            selectedPeopleType = code.split(",")[0];
            selectedPeopleName = val;
            nowValue.innerHTML = val;
            $sky.bindId('peopleType').value = "";
            searchPeople();
        }
    });
}

/**区域 二级联动*/
function provincePicker(viewId) {
    var nowValue = $sky.bindId(viewId);
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": nowValue.innerHTML,//默认值-多个以空格分开（可选）
        "type": 2,//需要联动级数[1、2、3]（可选）
        "data": provinceData,//数据(必传)
        "keys": {
            "id": "Code",
            "value": "Name",
            "childData": "level"//最多3级联动
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            var codes = code.split(",");

            var cCode = "" == codes[1] ? codes[0] : codes[1];
            var cName = "";
            if (val.substring(val.length - 2, val.length) == "所有") {
                cName = val.substring(0, val.length - 3);
            } else {
                cName = val;
            }

            if ($sky.bindId("tab1").checked) {
                cityCode = cCode;
                cityName = cName;
            } else {
                cityCode1 = cCode;
                cityName1 = cName;
            }


            nowValue.innerHTML = cName;
            refresh();
        }
    });
}

// ============================================3.函数集============================================
/*获取律师列表*/
function loadPeopleList(keyword) {
    tag1 = false;
    tag2 = true;
    $(".list").empty();
    var page = 0;// 页数
    var size = 10;// 每页展示10个
    var errorTimes = 0;
    var hasData = false;
    $('.g-scrollview').dropload({
        loadDownFn: function (me) {
            page++;
            // 拼接HTML
            var result = '';
            var param = {
                cityCode: cityCode1,
                areaCode: areaCode,
                lawOfficeId: lawOfficeId,
                goodAt: goodAt,
                level: '',
                keywords: keyword || '',
                pageNum: page,
                pageSize: size
            };
            $sky.Model.getAjax('get', APP_SERVER_URL + url_list_people[selectedPeopleType], param)
                .then(function (data) {
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        result = template('itemPeople', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                            if (tag2) {
                                $('.list').append(result);
                            }
                        }
                    }
                    setTimeout(function () {
                        if (tag2) {
                            $('.list').append(result);
                            me.resetload();
                        }
                    }, 10);
                })
                .catch(function (error) {
                    console.log(error);
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        errorTimes++;
                        me.resetload();
                    }
                });
        }
    });
}
