// ============================================全局数据============================================

var url_list_institution = APP_SERVER_URL + 'office/offices';
var url_province = '../../../global/resource/province.json';
var SEEEION_IP = "s_people_institution";
var urlDetailInstitution = [
    "../../institution/law-office/detail/law_office_detail.html",
    "../../institution/notarial-office/detail/notary_office_detail.html",
    "../../institution/judicial-auth-office/detail/judicial_auth_office_detail.html",
    "../../institution/law-support-office/detail/law_support_office_detail.html",
    "../../institution/mediation-office/detail/mediation_office_detail.html",
    "../../institution/law-service-office/detail/law_service_office_detail.html",
    "../../institution/arbitration-office/detail/arbitration_office_detail.html"
];

var pageTitle = $sky.Model.getUrlParam('title');
var cityCode = "11";
var cityName = "北京市";
var cityCode1 = "11";//所在城市
var cityName1 = "北京市";//所在城市
var type = $sky.Model.getUrlParam('i_type');
var typeName = $sky.Model.getUrlParam('typeName');
var areaCode = "";//所在区
var lng = $sky.Model.getUrlParam('lng');
var lat = $sky.Model.getUrlParam('lat');
var keyword = "";//关键词
var keyword1 = "";//人员关键词

var typeData = [
    {
        "code": "0",
        "name": "全部"
    },
    {
        "code": "1",
        "name": "律师事务所"
    },
    {
        "code": "2",
        "name": "公证处"
    },
    {
        "code": "3",
        "name": "司法鉴定机构"
    },
    {
        "code": "4",
        "name": "法律援助机构"
    },
    {
        "code": "5",
        "name": "人民调解机构"
    },
    {
        "code": "6",
        "name": "仲裁机构"
    }
];
var tag1 = true;
var tag2 = true;
// ============================================1.初始化页面============================================
(function () {
    if (pageTitle != "") {
        document.title = pageTitle;
        $sky.bindId('title').innerHTML = document.title;
    }

    var gGession = $sky.Model.handSessionStorage.get(SEEEION_IP);
    if (gGession != null) {
        type = gGession.type;
        typeName = gGession.typeName;
        cityCode = gGession.cityCode;
        cityName = gGession.cityName;
        cityCode1 = gGession.cityCode1;
        cityName1 = gGession.cityName1;
        keyword = gGession.keyword;
        keyword1 = gGession.keyword1;
        selectedPeopleType = gGession.selectedPeopleType;
        selectedPeopleName = gGession.selectedPeopleName;
        $sky.Model.handSessionStorage.clear();
    } else {
        if ("" == type) {
            type = "0";
        }

        if (!cityCode) {
            cityCode = $sky.Model.getDefaultCityCode();
            cityName = $sky.Model.getDefaultCityName();
        }
    }

    $sky.bindId('institutionType').innerHTML = typeName || "全部";
    $sky.bindId('area1').innerText = cityName;
    $sky.bindId('area2').innerText = cityName1;
    $sky.bindId('institutionName').value = keyword || '';
    // $sky.bindId('peopleType').innerText = selectedPeopleName;
    $sky.bindId('peopleName').value = keyword1 || '';

    $sky.Model.getAjax('get', url_province)
        .then(function (data) {
            provinceData = data.data;
            if (cityCode == null || cityCode === "undefined" || cityCode == "") {
                cityCode = provinceData[0].Code;
                cityName = provinceData[0].Name;
            }
            $sky.bindId('area1').innerText = cityName;
            refresh();
        })
        .catch(function (error) {
            console.error(error);
        });


    //点击tab刷新列表
    $('.tabContainer input[type="radio"]').click(function () {
        $(".list").empty();
        refresh();
    });
})();

// ============================================2.事件集============================================
function jumpInstitutionDetail(type, pkid) {
    var session = {
        cityCode: cityCode,
        cityName: cityName,
        cityCode1: cityCode1,
        cityName1: cityName1,
        type: type,
        typeName: typeName,
        selectedPeopleType: selectedPeopleType,
        selectedPeopleName: selectedPeopleName,
        keyword: $sky.bindId('institutionName').value,
        keyword1: $sky.bindId('peopleName').value
    };

    $sky.Model.handSessionStorage.set(SEEEION_IP, JSON.stringify(session));
    window.location.href = $sky.Util.urlTimestamp(urlDetailInstitution[type - 1] + "?pkid=" + pkid + "&type=" + type + "&cityCode=" + cityCode);
}

function searchInstitution() {
    loadInstitutionList(encodeURI($sky.bindId('institutionName').value));
}

/**
 * 机构类型 一级联动
 */
function institutionTypePicker() {
    var nowValue = $sky.bindId('institutionType');
    new Picker({
        "title": '请选择',//标题(可选)
        "defaultValue": nowValue.innerText,//默认值-多个以空格分开（可选）
        "type": 1,//需要联动级数[1、2、3]（可选）
        "data": typeData,//数据(必传)
        "keys": {
            "id": "code",
            "value": "name"
        },//数组内的键名称(必传，id、text、data)
        "callBack": function (val, code) {
            //回调函数（val为选择的值）
            console.log("id为" + code + ",值为" + val);
            type = code.split(",")[0];
            typeName = val;
            nowValue.innerText = val;
            $sky.bindId('institutionName').value = "";
            searchInstitution();
        }
    });
}

// ============================================2.函数集============================================
function refresh() {
    if ($sky.bindId("tab1").checked) {
        searchInstitution();
    } else {
        searchPeople();
    }
}

function loadInstitutionList(keyword) {
    tag1 = true;
    tag2 = false;
    $(".list").empty();
    $(".dropload-down").hide();
    var page = 0;// 页数
    var size = 10;// 每页展示20个
    var errorTimes = 0;
    var hasData = false;
    $('.g-scrollview').dropload({
        loadDownFn: function (me) {
            page++;
            // 拼接HTML
            var result = '';
            var param = {
                keywords: keyword || '',
                officeType: type,
                cityCode: cityCode,
                areaCode: areaCode,
                longitude: lng,
                latitude: lat,
                pageNum: page,
                pageSize: size
            };
            $sky.Model.getAjax('get', url_list_institution, param)
                .then(function (data) {
                    var arrLen = data.list.length;
                    if (arrLen > 0) {
                        hasData = true;
                        template.defaults.imports.tel_filter = function (data) {
                            if (!data || data == "-1") {
                                return "暂无联系电话";
                            } else {
                                return data;
                            }
                        };
                        result = template('itemInstitution', data);
                    } else {
                        me.lock();
                        me.noData();
                        if (!hasData) {
                            $(".dropload-down").hide();
                            result = template('empty', {});
                            if (tag1) {
                                $('.list').append(result);
                            }
                        }
                    }
                    setTimeout(function () {
                        if (tag1) {
                            $('.list').append(result);
                            me.resetload();
                        }
                    }, 10);
                })
                .catch(function (error) {
                    console.log('error' + error);
                    if (errorTimes < 5) {// 即使加载出错，也得重置,最多重置5次
                        errorTimes++;
                        me.resetload();
                    }
                });
        }
    });
}




